GNU bug report logs - #38803
gnu: elfutils: Enable debuginfod

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Mark Wielaard <mark@HIDDEN>; Keywords: patch; dated Mon, 30 Dec 2019 01:42:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Changed bug title to 'gnu: elfutils: Enable debuginfod' from '[PATCH] gnu: elfutils: Update to 0.178' Request was from Vagrant Cascadian <vagrant@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 38803 <at> debbugs.gnu.org:


Received: (at 38803) by debbugs.gnu.org; 2 Sep 2023 18:39:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 02 14:39:57 2023
Received: from localhost ([127.0.0.1]:38631 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qcVXJ-0001gA-CW
	for submit <at> debbugs.gnu.org; Sat, 02 Sep 2023 14:39:57 -0400
Received: from cascadia.aikidev.net ([2600:3c01:e000:267:0:a171:de7:c]:37242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vagrant@HIDDEN>)
 id 1qcVXH-0001ft-9r; Sat, 02 Sep 2023 14:39:55 -0400
Received: from localhost (unknown [IPv6:2600:3c01:e000:21:7:77:0:50])
 (Authenticated sender: vagrant@HIDDEN)
 by cascadia.aikidev.net (Postfix) with ESMTPSA id 268661AAD1;
 Sat,  2 Sep 2023 11:39:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=debian.org;
 s=1.vagrant.user; t=1693679976;
 bh=fPNAyMWiGv9gFa7rmi/rhiMRRKrRczH/tCdVro3JBUI=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=OXobWZriKnsrfar9ShFLUOzb0EcGXVVPkvIhMVtNqxIYB3eGiM90NWWJURu+e9Uvi
 GwH66uJpAE6Abx4KxPyheT8yJO30ZUjDVKaFfZUPALFyYIzgN7QpKQQhKSayvLSGnp
 qi3EkmuNa7OX8owl7Ze6w2UTH+bkXQfGw4pI5/EkKTuAw5dMz8lZB4x4FTooTR5es2
 /o32VHCSE0x5gpCQ86pH99odpwl3Klq5OG7u7Q73YXlN/GfazRqHsFjPpg+E+txAGf
 RYmg/bpgdnyMkd6/PNISDu249SUWuGbg3qg2MqzQimQT/cD36r8tWtENU9OkjnOAtS
 4TG8sPUhwgDGQ==
From: Vagrant Cascadian <vagrant@HIDDEN>
To: Mark Wielaard <mark@HIDDEN>, 38803 <at> debbugs.gnu.org
Subject: Re: [bug#38803] [PATCH] gnu: elfutils: Update to 0.178
In-Reply-To: <20191230014101.2425-1-mark@HIDDEN>
References: <20191230014101.2425-1-mark@HIDDEN>
Date: Sat, 02 Sep 2023 11:39:32 -0700
Message-ID: <87zg24mnbv.fsf@wireframe>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38803
Cc: control <at> debbugs.gnu.org, Marius Bakke <mbakke@HIDDEN>,
 Brett Gilio <brettg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

retitle 38803 gnu: elfutils: Enable debuginfod
thanks

On 2019-12-30, Mark Wielaard wrote:
> This introduces debuginfod support which requires a couple of new inputs.
>
> * gnu/packages/elf.scm (elfutils): Update to 0.178

Newer versions of elfutils have been included:

1a97959b22668af999ebc79c3ddc1664420eadd4 gnu: elfutils: Update to 0.187.

The outstanding issue from this bug is to enable the debuginfod server,
which is referred to in the comments for the current elfutils
package. Retitled appropriately.

live well,
  vagrant

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQRlgHNhO/zFx+LkXUXcUY/If5cWqgUCZPOBZAAKCRDcUY/If5cW
qvU/AP0VZnobvGxuTPb0nl4nVsEOpKW3FJynu5T0seLyhlEQxwEAqQKrjAy5MtZl
JX+2HUPMFOW/myPZ+K4VSGtiI3Ynqgg=
=9KN0
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38803; Package guix-patches. Full text available.

Message received at 38803 <at> debbugs.gnu.org:


Received: (at 38803) by debbugs.gnu.org; 6 Feb 2020 14:31:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 06 09:31:39 2020
Received: from localhost ([127.0.0.1]:47198 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iziBv-0003Jb-Jl
	for submit <at> debbugs.gnu.org; Thu, 06 Feb 2020 09:31:39 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:49845)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1iziBt-0003JM-6t
 for 38803 <at> debbugs.gnu.org; Thu, 06 Feb 2020 09:31:37 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 1519921C7A;
 Thu,  6 Feb 2020 09:31:32 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Thu, 06 Feb 2020 09:31:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=QidqqtdvuMpuY0GI2LePIoSGPR
 weFXlg75E9sepOGZo=; b=wQCYIaJEnlHarly18577+6SJYzFzxZrPyKhBCHKPw7
 85L5/IlaYYMMWePl2187QlDSvhOyr2F/ZvVd+VpeFogqhxfWFkwkXUMyFabZHkA7
 YK5q1KQhM3y+DicZNRn0bQJFmYt7E9r409IWIqz4uu+t384L2v4keMFzCxP2vUHh
 XpUL2TSYqNVKmEDHO3DuxXRDyWgCeZz4UqNw1OmMAUHUpUZBd4JMjJH+eYUNN/19
 vzRtg6foaQZzDhWwsNi37d3f0mr8sFjkeezWAnA61pDLyqVrwh5DY1aH152j7kK7
 bzNpvPt+gpYEvTSqqHpXGTH9LbYtYbRqCGDL6k8tgnaw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=Qidqqt
 dvuMpuY0GI2LePIoSGPRweFXlg75E9sepOGZo=; b=oPVp7VSWZoYzWMm4lEqk9i
 2LSEBch1YroE1PMh4VDoy+gav+6W0f60sO9E5UShj/Ry2SXuA+tF6FCvokDZX60p
 MqT0d8H02HlGdo8No9uNgzxEeuvzohHHDBBlh5k+B+673ysPg9iYtHtScwnO4O24
 vmt2EpNL5VTZpJcBVYTr0RENYbWeGzh4TWVpsl9yTvFOgXJTdJqJgshhVL5ndX3k
 zbcYN6FXiURK8N+yamS9Su7kbOqDiCFwb2ruDK66cyCeJpL0lQ4s3hMtBJNt3959
 NcNOu9HmAl6q8tlo1J7QUYZBR5bmr4SUszzlSoeQCKyqKy26huMy0n0IFtlagZfA
 ==
X-ME-Sender: <xms:QyM8XhxNksnerItEHT0is0XxYn6LIdM4bjXJB24DYMZzZ2LoM7jIKA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrheefgdeigecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefhvffujghffgffkfggtgesghdtreertdertdenucfhrhhomhepofgrrhhiuhhs
 uceurghkkhgvuceomhgsrghkkhgvsehfrghsthhmrghilhdrtghomheqnecuffhomhgrih
 hnpehsohhurhgtvgifrghrvgdrohhrghenucfkphepkeegrddvtddvrdeiledrvdehfeen
 ucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehmsggrkh
 hkvgesfhgrshhtmhgrihhlrdgtohhm
X-ME-Proxy: <xmx:QyM8XgcYLXL24dfxPPC7QvwQ7HVHRPmqv1RthbVLx0Bjn74vinqrHg>
 <xmx:QyM8XuDvbhaAQF2o8i_WNPbCp0jH-lVb86ipdZecOpD17CkmjJibKg>
 <xmx:QyM8Xs6bkGO_JLzrj5hAh_tcrCDvTKAosSk7JZL2K7up4BaYQkrFqQ>
 <xmx:RCM8XnGB7U8rT4sDMoloYfl0FK1MHHFpua4K6RbxeT98l81JP318vQ>
Received: from localhost (ti0006q161-3035.bb.online.no [84.202.69.253])
 by mail.messagingengine.com (Postfix) with ESMTPA id 90271328006A;
 Thu,  6 Feb 2020 09:31:31 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Mark Wielaard <mark@HIDDEN>
Subject: Re: [bug#38803] [PATCH] gnu: elfutils: Update to 0.178
In-Reply-To: <2b6c210935f4f6833cbd944dd27e31a64645b5dd.camel@HIDDEN>
References: <20191230014101.2425-1-mark@HIDDEN>
 <20200112203939.20141-1-mark@HIDDEN> <87a76sxun7.fsf@HIDDEN>
 <20200113000345.GA2825@HIDDEN> <87a76rvvpz.fsf@HIDDEN>
 <20200131124321.GM3319@HIDDEN> <87v9ormxrb.fsf@HIDDEN>
 <20200131165505.GN3319@HIDDEN> <87d0as6a29.fsf@HIDDEN>
 <58f284a926a93f9e079075ed0f7020ef63a03859.camel@HIDDEN>
 <2b6c210935f4f6833cbd944dd27e31a64645b5dd.camel@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Thu, 06 Feb 2020 15:31:29 +0100
Message-ID: <87d0ar4wji.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38803
Cc: Brett Gilio <brettg@HIDDEN>, 38803 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Mark Wielaard <mark@HIDDEN> writes:

> On Thu, 2020-02-06 at 12:04 +0100, Mark Wielaard wrote:
>> BTW. Upstream is now debating some of the dependencies for other
>> distros that have bootstrapping requirements too:=20
>> https://sourceware.org/bugzilla/show_bug.cgi?id=3D25509
>
> It would be nice if someone could comment on that bug who better
> understands the bootstrap requirements for the guix toolchain. Note
> that this is relevant to other packages too because we are very eager
> to improve the debugability of the whole toolchain and so have
> submitted patches to various core packages to support debuginfod-client=20
> like binutils, gdb, annocheck, etc. Which means they all eventually
> depend on everything libcurl depends on:
> https://sourceware.org/elfutils/Debuginfod.html

I think that the Guix toolchain (the one used in package builds) should
stay the same (no debuginfod support), and that we should add
debuginfod-enabled variants that gets included when users install
'binutils' or 'gcc-toolchain' manually.  How does that sound?

So our only concern will be how to use Elfutils' libelf.so for GCC,
which should be straightforward with an "elfutils-minimal" variant that
does not pull in the debuginfo dependencies.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl48I0EACgkQoqBt8qM6
VPqFLAf/Q/5FDKveqSVLs7ZAGkbONYOIUM7OdgsMQJLHc8eVnkhdWgQCJqLnUOLF
3WuMb3ROy8sAVf6m4s3cGQw5x7miyd7JcM6kr0PcNewY104mq4kfxvWmnz014qld
uwLOYXhF9IKhQ4xMaH8DNNpeHKCwhGHRm0qGB2Eug6cQf1t4HTTl0QQgljnEft37
ZRNbW6FUcmQudXMqGSnGHNB2VAPjZYkXLGJCAxspnD+VQZ3i32CWHZfzo5VtVTQG
W4tQjvHl+j6E/VY19wkcfU/pRcKbJtC4453TwqvgSEO83Ox79Nd3jnAYvFW8AOfL
c17gazaKj7OTHiRk2Nk5XMBiELBXDQ==
=3IFB
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38803; Package guix-patches. Full text available.

Message received at 38803 <at> debbugs.gnu.org:


Received: (at 38803) by debbugs.gnu.org; 6 Feb 2020 13:23:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 06 08:23:47 2020
Received: from localhost ([127.0.0.1]:47117 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1izh8E-00086t-Vd
	for submit <at> debbugs.gnu.org; Thu, 06 Feb 2020 08:23:47 -0500
Received: from wildebeest.demon.nl ([212.238.236.112]:57592
 helo=gnu.wildebeest.org) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mark@HIDDEN>) id 1izh8C-00086k-So
 for 38803 <at> debbugs.gnu.org; Thu, 06 Feb 2020 08:23:46 -0500
Received: from tarox.wildebeest.org (tarox.wildebeest.org [172.31.17.39])
 (using TLSv1.2 with cipher AECDH-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by gnu.wildebeest.org (Postfix) with ESMTPSA id 58B03302BB4F;
 Thu,  6 Feb 2020 14:23:43 +0100 (CET)
Received: by tarox.wildebeest.org (Postfix, from userid 1000)
 id 436ED4000CA2; Thu,  6 Feb 2020 14:23:43 +0100 (CET)
Message-ID: <2b6c210935f4f6833cbd944dd27e31a64645b5dd.camel@HIDDEN>
Subject: Re: [bug#38803] [PATCH] gnu: elfutils: Update to 0.178
From: Mark Wielaard <mark@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Date: Thu, 06 Feb 2020 14:23:43 +0100
In-Reply-To: <58f284a926a93f9e079075ed0f7020ef63a03859.camel@HIDDEN>
References: <20191230014101.2425-1-mark@HIDDEN>
 <20200112203939.20141-1-mark@HIDDEN> <87a76sxun7.fsf@HIDDEN>
 <20200113000345.GA2825@HIDDEN> <87a76rvvpz.fsf@HIDDEN>
 <20200131124321.GM3319@HIDDEN> <87v9ormxrb.fsf@HIDDEN>
 <20200131165505.GN3319@HIDDEN> <87d0as6a29.fsf@HIDDEN>
 <58f284a926a93f9e079075ed0f7020ef63a03859.camel@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Mailer: Evolution 3.28.5 (3.28.5-5.el7) 
Mime-Version: 1.0
X-Spam-Flag: NO
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00
 autolearn=ham autolearn_force=no version=3.4.0
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on gnu.wildebeest.org
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38803
Cc: Brett Gilio <brettg@HIDDEN>, 38803 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, 2020-02-06 at 12:04 +0100, Mark Wielaard wrote:
> BTW. Upstream is now debating some of the dependencies for other
> distros that have bootstrapping requirements too:=20
> https://sourceware.org/bugzilla/show_bug.cgi?id=3D25509

It would be nice if someone could comment on that bug who better
understands the bootstrap requirements for the guix toolchain. Note
that this is relevant to other packages too because we are very eager
to improve the debugability of the whole toolchain and so have
submitted patches to various core packages to support debuginfod-client=20
like binutils, gdb, annocheck, etc. Which means they all eventually
depend on everything libcurl depends on:
https://sourceware.org/elfutils/Debuginfod.html




Information forwarded to guix-patches@HIDDEN:
bug#38803; Package guix-patches. Full text available.

Message received at 38803 <at> debbugs.gnu.org:


Received: (at 38803) by debbugs.gnu.org; 6 Feb 2020 11:36:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 06 06:36:51 2020
Received: from localhost ([127.0.0.1]:47101 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1izfSl-0003ZP-FG
	for submit <at> debbugs.gnu.org; Thu, 06 Feb 2020 06:36:51 -0500
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:50687)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1izfSj-0003ZC-QM
 for 38803 <at> debbugs.gnu.org; Thu, 06 Feb 2020 06:36:50 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id 15BF5456;
 Thu,  6 Feb 2020 06:36:44 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Thu, 06 Feb 2020 06:36:44 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=sbW4D2eWSrSSYebVLvQE1wan9L
 MMb3UBhd8mflK5djA=; b=Z+5/e1jTT5dn3iQD/kLHXFaH0BCbEwxb39B0naYqEW
 9C75yeMKGZudOj8P+beurKjSP8Gmi5eZw4xU3N2AVci8j5OCHx/pHnH4v/iGmbYS
 xQEFeXOFT/ilZIFZsxrGbj4ztylGxhI/dZMMAetaHQk7tXZQfcE2qNVXr3quwxUZ
 Qfl1OccLHQNAjGUySPXaqp6XyAJXM9kUxWZIO8vQg9DtGzJKkEe/R5/l7yuRil7E
 I4V539yCBi0d6BpyyWK9eyTo/ofs0NQ+Io40juY5OO5fUejqY5R/EgjsdluMxPG4
 8B2MvUkbdPN4YBzfpFZp2iCIUvCCyZkZ/nHTyJWQrj7Q==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=sbW4D2
 eWSrSSYebVLvQE1wan9LMMb3UBhd8mflK5djA=; b=wm+Z+TwjadOlemrs2lxv7Z
 WLogTHXYt9PjS+sxm8Gxe+gC5rKkUEyECsi65MfXjMF9bpolLUAySUIfv4flWEfu
 6muh6hGRYfhvrgTBbLmAq3/8oLANHeormQtFxIwDUUj2llTiHofSp5nGN9yl1OKl
 mo40aSNqmJDxp1PwnwJhmey0sZ8rLvCTq2KhNHqbQPN65qj84lhhrZwNieAV9QwE
 8+EY3mGnaRCCW7M9TxNB2LwGae0P7HacOdx6BLiM9Ear19Tbp4WC0M7ysDr+YiSd
 oegkFR8aCifykJSRsZFRrmbyq7KCfI0Mtskv1q6BLpCDgd6ifR2o5SOADaQaI32A
 ==
X-ME-Sender: <xms:S_o7XtWpfq9f20bD1ShPN-W6p-uNoKunoDoihQK0Al531LCeqe5gWw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrheefgddvlecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefhvffujghffgffkfggtgesghdtreertdertdenucfhrhhomhepofgrrhhiuhhs
 uceurghkkhgvuceomhgsrghkkhgvsehfrghsthhmrghilhdrtghomheqnecuffhomhgrih
 hnpehlihgsvghlfhdrshhopdhsohhurhgtvgifrghrvgdrohhrghenucfkphepkeegrddv
 tddvrdeiledrvdehfeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrih
 hlfhhrohhmpehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhm
X-ME-Proxy: <xmx:S_o7XqeC_VJA2uqAlKyPCE5X1VrEmZS96BgFoKgG_Ag1mNoGjYeNpA>
 <xmx:S_o7XpJg02rjb8JAWx0QGaTHzW8tFfIKvyPLw-lTGdl-okQUUKwGIA>
 <xmx:S_o7Xvx524ir7g8MIqZDXmYy17f3otzQMUZpPhp8VYf05JzHse4Vfw>
 <xmx:S_o7XgPzJtjIsx9DZhuPXT2moeTvOY774EcLKN9_GNCQRzbx-qrRiQ>
Received: from localhost (ti0006q161-3035.bb.online.no [84.202.69.253])
 by mail.messagingengine.com (Postfix) with ESMTPA id EEEBE328005D;
 Thu,  6 Feb 2020 06:36:42 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Mark Wielaard <mark@HIDDEN>
Subject: Re: [bug#38803] [PATCH] gnu: elfutils: Update to 0.178
In-Reply-To: <58f284a926a93f9e079075ed0f7020ef63a03859.camel@HIDDEN>
References: <20191230014101.2425-1-mark@HIDDEN>
 <20200112203939.20141-1-mark@HIDDEN> <87a76sxun7.fsf@HIDDEN>
 <20200113000345.GA2825@HIDDEN> <87a76rvvpz.fsf@HIDDEN>
 <20200131124321.GM3319@HIDDEN> <87v9ormxrb.fsf@HIDDEN>
 <20200131165505.GN3319@HIDDEN> <87d0as6a29.fsf@HIDDEN>
 <58f284a926a93f9e079075ed0f7020ef63a03859.camel@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Thu, 06 Feb 2020 12:36:40 +0100
Message-ID: <87ftfo3q2f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38803
Cc: Brett Gilio <brettg@HIDDEN>, 38803 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Mark Wielaard <mark@HIDDEN> writes:

>> For the 0.178 update, perhaps we can add the new version as a separate
>> variable until we figure out how to isolate libelf.so?  That can be done
>> on the 'master' branch as long as we don't change the current 'elfutils'
>> package.
>
> I am not sure I completely understand your proposal. When you say
> 'separate variable', Do you mean we would (define-public elfutils-0.178=20
> ...)?

Yes.  See e.g 'gdb/next' or 'help2man/latest' for some examples of
inheritance.

> And changing the default libelf implementation should be a separate bug
> I assume.

Indeed.  I suggest we defer that until we have 0.178+ in properly.

> BTW. Upstream is now debating some of the dependencies for other
> distros that have bootstrapping requirements too:=20
> https://sourceware.org/bugzilla/show_bug.cgi?id=3D25509

Good to know we're not alone!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl47+kgACgkQoqBt8qM6
VPqz+gf+K7s0EU9CoXzpB3neoaUnt283Z81Y3+TVgA66YzCr0CZaL5zFmWZWqQr7
w1loR+7u/TJy0dSaHok/rXoNr3l4S9Zvl/+8q/wScd6muwogMxLJfta4/VdtFjEl
7swS4ArSdbCqbvLAnTJkzcqYK6KaIhIofyEAfCJmUc5AVsGucZtBSX3NmBaQI1WD
UPBmd0WFzU6Dt6yQQF3dTnxjwkm2uOnX+C1qoNeQBXAt9R8yPuBrV+8n5kRwWz1B
09bSy49ULLKC3to1A8uwE2CXJHlhqA6+Xv4FsZ5wajlZTGuHsMaoUls7KEbNuGmV
csMJUiTzH9Q61Mhywc68Sv6T2eYInQ==
=rB/U
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38803; Package guix-patches. Full text available.

Message received at 38803 <at> debbugs.gnu.org:


Received: (at 38803) by debbugs.gnu.org; 6 Feb 2020 11:04:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 06 06:04:41 2020
Received: from localhost ([127.0.0.1]:47083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1izexd-0002k4-Ir
	for submit <at> debbugs.gnu.org; Thu, 06 Feb 2020 06:04:41 -0500
Received: from wildebeest.demon.nl ([212.238.236.112]:53782
 helo=gnu.wildebeest.org) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mark@HIDDEN>) id 1izexb-0002jv-Mq
 for 38803 <at> debbugs.gnu.org; Thu, 06 Feb 2020 06:04:40 -0500
Received: from tarox.wildebeest.org (tarox.wildebeest.org [172.31.17.39])
 (using TLSv1.2 with cipher AECDH-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by gnu.wildebeest.org (Postfix) with ESMTPSA id 0197B302BB4F;
 Thu,  6 Feb 2020 12:04:37 +0100 (CET)
Received: by tarox.wildebeest.org (Postfix, from userid 1000)
 id E19C3401ED9F; Thu,  6 Feb 2020 12:04:37 +0100 (CET)
Message-ID: <58f284a926a93f9e079075ed0f7020ef63a03859.camel@HIDDEN>
Subject: Re: [bug#38803] [PATCH] gnu: elfutils: Update to 0.178
From: Mark Wielaard <mark@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Date: Thu, 06 Feb 2020 12:04:37 +0100
In-Reply-To: <87d0as6a29.fsf@HIDDEN>
References: <20191230014101.2425-1-mark@HIDDEN>
 <20200112203939.20141-1-mark@HIDDEN> <87a76sxun7.fsf@HIDDEN>
 <20200113000345.GA2825@HIDDEN> <87a76rvvpz.fsf@HIDDEN>
 <20200131124321.GM3319@HIDDEN> <87v9ormxrb.fsf@HIDDEN>
 <20200131165505.GN3319@HIDDEN> <87d0as6a29.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Mailer: Evolution 3.28.5 (3.28.5-5.el7) 
Mime-Version: 1.0
X-Spam-Flag: NO
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00
 autolearn=ham autolearn_force=no version=3.4.0
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on gnu.wildebeest.org
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38803
Cc: Brett Gilio <brettg@HIDDEN>, 38803 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Marius,

On Wed, 2020-02-05 at 21:41 +0100, Marius Bakke wrote:
> Mark Wielaard <mark@HIDDEN> writes:
>=20
> > OK, OK. Lets see if I can at least get the patch that does only update
> > the descriptions correct. New version attached.
>=20
> Thanks!  I fixed the comment typo and committed.  The new description
> should show up on <https://guix.gnu.org/packages/E/page/3/> shortly.  :-)

Awesome. Looks good. Thanks.

> Note that I had to convert the patch from ISO-8859-14 to UTF-8 in order
> to make git accept it:
>=20
> $ iconv -f ISO-8859-14 -t UTF-8 0001-gnu-elfutils-Update-synopsis-and-des=
cription.patch | git am -s
>=20
> Not sure what happened, perhaps it got mangled by your MUA?

That is indeed really odd. I definitely didn't want to encode any
Celtic languages (I do speak Dutch, but not Gaelic or Breton).

> For the 0.178 update, perhaps we can add the new version as a separate
> variable until we figure out how to isolate libelf.so?  That can be done
> on the 'master' branch as long as we don't change the current 'elfutils'
> package.

I am not sure I completely understand your proposal. When you say
'separate variable', Do you mean we would (define-public elfutils-0.178=20
...)?

And changing the default libelf implementation should be a separate bug
I assume.

BTW. Upstream is now debating some of the dependencies for other
distros that have bootstrapping requirements too:=20
https://sourceware.org/bugzilla/show_bug.cgi?id=3D25509

Cheers,

Mark




Information forwarded to guix-patches@HIDDEN:
bug#38803; Package guix-patches. Full text available.

Message received at 38803 <at> debbugs.gnu.org:


Received: (at 38803) by debbugs.gnu.org; 5 Feb 2020 20:42:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 05 15:42:01 2020
Received: from localhost ([127.0.0.1]:46778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1izRUn-0007eX-9h
	for submit <at> debbugs.gnu.org; Wed, 05 Feb 2020 15:42:01 -0500
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:37195)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1izRUk-0007eE-KJ
 for 38803 <at> debbugs.gnu.org; Wed, 05 Feb 2020 15:42:00 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id C99F8761;
 Wed,  5 Feb 2020 15:41:52 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Wed, 05 Feb 2020 15:41:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=FPEpzN/VwP5/gF2zsOjMp4BjkF
 hQyksoCAfQ9aFQ4Qs=; b=yY5KsCA1JagC0n8VpW+/VPISNJpYMbL5dAzwUu+N9N
 SxW898FHLA7HiojkLpParfkKhZfJLxeQrE+LNXMDoqkEMoHrv+WenKt81ZCxd6tU
 BQjRDXBBQQuKv+GzQQE8H1O7Lnhhh6NJkmJjfTrW5d9B1iUYAbUdY9kVRrnbSHWJ
 9TzewAN77SfQLIeuirIf7z78EZN7y/g5znrS02e1B5N/RDn3Q8R1dK3cTh9KVrmV
 6433aSvAmPqbMNWgWeWd+Y5lECmn34LvijGW9dZ+YhhJTYxsqVVjCjbdpndBmlcC
 jjHiVonbXUOGtzDxLBKsW8qtyJF6GVR7eq4FsXNOEswQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=FPEpzN
 /VwP5/gF2zsOjMp4BjkFhQyksoCAfQ9aFQ4Qs=; b=QH8aOjNhxMpNnooVcoIfsN
 VJl9aFj5Q0MTSY3vZxQNUy6uk5RaZIRYfsiL4YOlLd2PBX8hmAWCas8c1HizlcCh
 huo9uy7qq6p6X0mEQwJgDiJBAz18+JCSGASLs3FT6AkbRq1wpu+nlS08THYHgfS2
 pLr85SEHJ5TY2qIqXFARbclBpH6A0DJxsYjcFkHyHFy4rDUqDXOzOe3KHBy7RNjI
 bc7moMhOLG8ClEfAQx27b6DtSANTAx296HdmhOGjZ7E3kC0JtK4Icwv5nbppEkEb
 gQNAq6cB7/Op9Gmf3PNUOBau7GWwIajIXMiYRgLXQQyb1AMb18LMT5K3RH10nC7w
 ==
X-ME-Sender: <xms:kCg7XtCVHVpxZlMVYgrQ6kDb8tzeKLWfztOeronst3q7vj66pjiwtA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrhedugddufeehucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucffohhmrg
 hinhepghhnuhdrohhrghdplhhisggvlhhfrdhsohenucfkphepkeegrddvtddvrdeiledr
 vdehfeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpe
 hmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhm
X-ME-Proxy: <xmx:kCg7XtmvopsYmZBFHS4NvrdtGIrZhTyyUzAvd6Rg6l1VfVwg9M4d2Q>
 <xmx:kCg7XioduSugmEfI7p4nf7yyLYo9kh4zUmi6r4-WGNPAUt5rxUXIbA>
 <xmx:kCg7XicSZkJWe1ftmBk-3KYQbzA1LVSFd5PYEXL3zIQpjdsEJQWCZg>
 <xmx:kCg7Xj3sbwWZQ__ErmpZp-JOylWSR-WtH1gLWswt4JM7c6ZTk6wpUw>
Received: from localhost (ti0006q161-3035.bb.online.no [84.202.69.253])
 by mail.messagingengine.com (Postfix) with ESMTPA id 00E853060717;
 Wed,  5 Feb 2020 15:41:51 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Mark Wielaard <mark@HIDDEN>
Subject: Re: [bug#38803] [PATCH] gnu: elfutils: Update to 0.178
In-Reply-To: <20200131165505.GN3319@HIDDEN>
References: <20191230014101.2425-1-mark@HIDDEN>
 <20200112203939.20141-1-mark@HIDDEN> <87a76sxun7.fsf@HIDDEN>
 <20200113000345.GA2825@HIDDEN> <87a76rvvpz.fsf@HIDDEN>
 <20200131124321.GM3319@HIDDEN> <87v9ormxrb.fsf@HIDDEN>
 <20200131165505.GN3319@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Wed, 05 Feb 2020 21:41:50 +0100
Message-ID: <87d0as6a29.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38803
Cc: Brett Gilio <brettg@HIDDEN>, 38803 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mark Wielaard <mark@HIDDEN> writes:

> OK, OK. Lets see if I can at least get the patch that does only update
> the descriptions correct. New version attached.

Thanks!  I fixed the comment typo and committed.  The new description
should show up on <https://guix.gnu.org/packages/E/page/3/> shortly.  :-)

Note that I had to convert the patch from ISO-8859-14 to UTF-8 in order
to make git accept it:

$ iconv -f ISO-8859-14 -t UTF-8 0001-gnu-elfutils-Update-synopsis-and-description.patch | git am -s

Not sure what happened, perhaps it got mangled by your MUA?

For the 0.178 update, perhaps we can add the new version as a separate
variable until we figure out how to isolate libelf.so?  That can be done
on the 'master' branch as long as we don't change the current 'elfutils'
package.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl47KI4ACgkQoqBt8qM6
VPpzJAf9EAYUGbIvBR59pKcdoIbZsO6kjDcO/7KE1Sr39qoBTtCyV7YUZ1zf4IX7
sIEImffjJq2Cp6Xw27g99CN1WNLmbEpLh3xabLvZ0QYqV8Yvfh+3Pyot3aGbNuHD
dANXGv9qQhMXI6FwprI2YMU8Eap5BXAJ7SES5tmvPa1vtU5cE2X6GAdiUHDNM49q
71T6s3cS5MibBWc9iq2YqXw6lbKMTgfWpp8AEpIDc0JvCANSY8SSS3Dc+x3YNilt
WV4k5esWy7H+OoG+6cdaCaDtJIS7S/WKhCSI2S/PSIx/6GBfHYrIdcSS5yyibn/M
MKie0AmCjd/WtUa3d4zTEcOy87PNaQ==
=64lx
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38803; Package guix-patches. Full text available.

Message received at 38803 <at> debbugs.gnu.org:


Received: (at 38803) by debbugs.gnu.org; 31 Jan 2020 16:55:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 31 11:55:31 2020
Received: from localhost ([127.0.0.1]:37974 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ixZZk-0005vP-R0
	for submit <at> debbugs.gnu.org; Fri, 31 Jan 2020 11:55:31 -0500
Received: from wildebeest.demon.nl ([212.238.236.112]:49460
 helo=gnu.wildebeest.org) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mark@HIDDEN>) id 1ixZZi-0005vE-MV
 for 38803 <at> debbugs.gnu.org; Fri, 31 Jan 2020 11:55:23 -0500
Received: from librem (cable-85.28.105.83.coditel.net [85.28.105.83])
 (using TLSv1.2 with cipher ADH-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by gnu.wildebeest.org (Postfix) with ESMTPSA id 4CAA63000A0C;
 Fri, 31 Jan 2020 17:55:20 +0100 (CET)
Received: by librem (Postfix, from userid 1000)
 id DC2BDC3D82; Fri, 31 Jan 2020 17:55:05 +0100 (CET)
Date: Fri, 31 Jan 2020 17:55:05 +0100
From: Mark Wielaard <mark@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: [bug#38803] [PATCH] gnu: elfutils: Update to 0.178
Message-ID: <20200131165505.GN3319@HIDDEN>
References: <20191230014101.2425-1-mark@HIDDEN>
 <20200112203939.20141-1-mark@HIDDEN> <87a76sxun7.fsf@HIDDEN>
 <20200113000345.GA2825@HIDDEN> <87a76rvvpz.fsf@HIDDEN>
 <20200131124321.GM3319@HIDDEN> <87v9ormxrb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="WhfpMioaduB5tiZL"
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87v9ormxrb.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Flag: NO
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00
 autolearn=ham autolearn_force=no version=3.4.0
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on gnu.wildebeest.org
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38803
Cc: Brett Gilio <brettg@HIDDEN>, 38803 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--WhfpMioaduB5tiZL
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Fri, Jan 31, 2020 at 04:49:44PM +0100, Marius Bakke wrote:
> Mark Wielaard <mark@HIDDEN> writes:
> 
> >> Also, for the description, please use full sentences.  I.e. keep the
> >> 'This package provides a collection ...' and 'This includes ...' instead
> >> of 'A collection ...' and 'Includes ...'.
> >
> > OK. Done. See attached patch.
> 
> Sorry for the nit-picks, but the description still starts
> 'mid-sentence', i.e. "A collection ..." instead of "elfutils is a
> collection ...".
> 
> If you think it's better this way I'm fine with that, it's just that
> elfutils will "stand out" compared to its neighbours at
> e.g. <https://guix.gnu.org/packages/E/page/3/>.  :-)

OK, OK. Lets see if I can at least get the patch that does only update
the descriptions correct. New version attached.

Cheers,

Mark


--WhfpMioaduB5tiZL
Content-Type: text/x-diff; charset=iso-8859-1
Content-Disposition: attachment; filename="0001-gnu-elfutils-Update-synopsis-and-description.patch"
Content-Transfer-Encoding: 8bit

From 6a9f7efd89f6617766640b3e2f7a232977bf98a4 Mon Sep 17 00:00:00 2001
From: Mark Wielaard <mark@HIDDEN>
Date: Sun, 12 Jan 2020 23:54:18 +0100
Subject: [PATCH] gnu: elfutils: Update synopsis and description

* gnu/packages/elf.scm (elfutils): Update summaries.
  [synopsis]: Updated.
  [description]: Updated.
---
 gnu/packages/elf.scm | 24 ++++++++++++++++++------
 1 file changed, 18 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/elf.scm b/gnu/packages/elf.scm
index 75caa54296..22d03fba84 100644
--- a/gnu/packages/elf.scm
+++ b/gnu/packages/elf.scm
@@ -6,6 +6,7 @@
 ;;; Copyright  2017 Leo Famulari <leo@HIDDEN>
 ;;; Copyright  2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright  2018 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright  2020 Mark Wielaard <mark@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -54,9 +55,10 @@
     (build-system gnu-build-system)
 
     ;; Separate programs because that's usually not what elfutils users want,
-    ;; and because they duplicate what Binutils provides.
+    ;; and because they duplicate what Binutils proAvides (but are named
+    ;; differently, using the eu- prefix and can be installed in parallel).
     (outputs '("out"                           ; libelf.so, elfutils/*.h, etc.
-               "bin"))                         ; ld, nm, objdump, etc.
+               "bin"))                         ; eu-nm, eu-objdump, etc.
 
     (arguments
      ;; Programs don't have libelf.so in their RUNPATH and libraries don't
@@ -84,11 +86,21 @@
     (native-inputs `(("m4" ,m4)))
     (inputs `(("zlib" ,zlib)))
     (home-page "https://sourceware.org/elfutils/")
-    (synopsis "Linker and ELF manipulation tools")
+    (synopsis "Collection of utilities and libraries to handle ELF files and
+DWARF data")
     (description
-     "This package provides command-line tools to manipulate binaries in the
-Executable and Linkable Format (@dfn{ELF}).  This includes @command{ld},
-@command{ar}, @command{objdump}, @command{addr2line}, and more.")
+     "Elfutils is a collection of utilities and libraries to read, create and
+modify Executable and Linkable Format (@dfn{ELF}) binary files, find and
+handle Debugging With Arbitrary Record Formats (@dfn{DWARF}) debug data,
+symbols, thread state and stacktraces for processes and core files on
+GNU/Linux.  Elfutils includes @file{libelf} for manipulating ELF files,
+@file{libdw} for inspecting DWARF data and process state and utilities like
+@command{eu-stack} (to show backtraces), @command{eu-nm} (for listing symbols
+from object files), @command{eu-size} (for listing the section sizes of an
+object or archive file), @command{eu-strip} (for discarding symbols),
+@command{eu-readelf} (to see the raw ELF file structures),
+@command{eu-elflint} (to check for well-formed ELF files),
+@command{eu-elfcompress} (to compress or decompress ELF sections), and more.")
 
     ;; Libraries are dual-licensed LGPLv3.0+ | GPLv2, and programs are GPLv3+.
     (license lgpl3+)))
-- 
2.24.1


--WhfpMioaduB5tiZL--




Information forwarded to guix-patches@HIDDEN:
bug#38803; Package guix-patches. Full text available.

Message received at 38803 <at> debbugs.gnu.org:


Received: (at 38803) by debbugs.gnu.org; 31 Jan 2020 15:49:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 31 10:49:59 2020
Received: from localhost ([127.0.0.1]:37900 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ixYYL-0004IO-Dn
	for submit <at> debbugs.gnu.org; Fri, 31 Jan 2020 10:49:59 -0500
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:34939)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1ixYYK-0004ID-BZ
 for 38803 <at> debbugs.gnu.org; Fri, 31 Jan 2020 10:49:52 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 2D8F922063;
 Fri, 31 Jan 2020 10:49:47 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Fri, 31 Jan 2020 10:49:47 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=dmYsStw2RatCdlxDtYl6yVtJ3C
 bjr8qidU85IjJbiVI=; b=ab9b9+WaJGCkxQj/8pFEhUIR/HkCTpPzYGjaJRVDn1
 DklIO68Jaooglv5zFfz/Sy8UF8CPTnZWGGwPUY2HpkpVKYv41edGkY5yHCThA8ca
 Qhuwwdel9t4GbnX91Zu7mBy+ETK/9sYuT/kk3EEARYPBq54+q4xyZgOjzB3/Ssfu
 smLnmEyCP/8EN7r4xlAmr0Cw/3yB8glZLZ5WEclB/Lk9H1FStM9KPmU2wiF7Ep4B
 KVwAh359ZqfFN2a5gTYt9krjbyhovmmUVcUwaxOcZ3Y4dV0D809ex6BpFn0yBNeh
 Uj0sJicr1WqO0BJcuAex+MxyA51JsZkdmEl8mgs+Myrw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=dmYsSt
 w2RatCdlxDtYl6yVtJ3Cbjr8qidU85IjJbiVI=; b=N/6AadInMKARdLLybhkuyj
 0pKMmiezEHR1rI1K941vMoj2SB6lzGTgJGjNnixfutgs1UrjOOFUi5OV33vWqCNl
 t654bQMOPRNyvyEFsPkmMXr9FBcZ8xwyYxwMJE5y6Dz0teG07vjcgTrW8LQr5cEx
 QV425ltDiiSw4DX+XzlOJ9/w8o/X3MPxDLznLOCC3/0K7TaR9IajE8ZK/P2IeEOO
 YdsD1UMS5O5wzJ4/35QN6uWwb/7aDyuFzO1DxuOEbT6MtvKlUZmKc/cnWViwSLl0
 /8SPQ4N2JmR070IRoQtNpBGxwthm8SHElTQsmNhHVI9T2oyshhY/YeGu7P+9O0tw
 ==
X-ME-Sender: <xms:mkw0Xm-ciKz2WubixnPydkngawSJXNy4L_MrA8YFIhS568ZmjtjS6w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrgedtgdejfecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpefhvffujghffgffkfggtgesghdtreertdertdenucfhrhhomhepofgrrhhiuhhs
 uceurghkkhgvuceomhgsrghkkhgvsehfrghsthhmrghilhdrtghomheqnecuffhomhgrih
 hnpehgnhhurdhorhhgnecukfhppeekgedrvddtvddrieelrddvheefnecuvehluhhsthgv
 rhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgvsehfrghsth
 hmrghilhdrtghomh
X-ME-Proxy: <xmx:m0w0XtwhnCwaUiJSctwbIhHKNDuF-uqcKJtXvc6NLoUqzlqrpNuXSw>
 <xmx:m0w0XkBb65JYK-rBqmKpvti_7-vpskfcpyy3QS5M3iEGpeUa2YyNmg>
 <xmx:m0w0XgJnkSFwzUGwEr0P3qmB2kQ8E41nkYUSdW8tAnh4WLM3d7gPMw>
 <xmx:m0w0XpPe6JPsu0usMDDUUnqfoX5C_73yzm3fIrrVYriGAqDDAaAoXg>
Received: from localhost (ti0006q161-3035.bb.online.no [84.202.69.253])
 by mail.messagingengine.com (Postfix) with ESMTPA id A3D073060840;
 Fri, 31 Jan 2020 10:49:46 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Mark Wielaard <mark@HIDDEN>
Subject: Re: [bug#38803] [PATCH] gnu: elfutils: Update to 0.178
In-Reply-To: <20200131124321.GM3319@HIDDEN>
References: <20191230014101.2425-1-mark@HIDDEN>
 <20200112203939.20141-1-mark@HIDDEN> <87a76sxun7.fsf@HIDDEN>
 <20200113000345.GA2825@HIDDEN> <87a76rvvpz.fsf@HIDDEN>
 <20200131124321.GM3319@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Fri, 31 Jan 2020 16:49:44 +0100
Message-ID: <87v9ormxrb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38803
Cc: Brett Gilio <brettg@HIDDEN>, 38803 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Hello!

Mark Wielaard <mark@HIDDEN> writes:

>> Also, for the description, please use full sentences.  I.e. keep the
>> 'This package provides a collection ...' and 'This includes ...' instead
>> of 'A collection ...' and 'Includes ...'.
>
> OK. Done. See attached patch.

Sorry for the nit-picks, but the description still starts
'mid-sentence', i.e. "A collection ..." instead of "elfutils is a
collection ...".

If you think it's better this way I'm fine with that, it's just that
elfutils will "stand out" compared to its neighbours at
e.g. <https://guix.gnu.org/packages/E/page/3/>.  :-)

> Yes. There is are a new network client and server integrated with
> elfutils in 0.178. A new client library debuginfod-client.so which
> depends on libcurl, which pulls in most of the other stuff. elfutils
> libdw.so has a dependency on this, but it is dlopened when
> available. So it isn't a hard dependency. In other distros
> debuginfod-client is its own elfutils subpackage which is recommended,
> but not required. It allows libdw.so to pull in separate debuginfo
> files from the network when not locally installed (and an server URL
> is configured). Then there is also a little server based on
> libmicrohttpd and sqlite which is responsible for the other part of
> the new inputs. Other distros put this also in a separate elfutils
> subpackage.

Thanks for the detailed clarification.  Re: dlopen, we typically patch
in the absolute file names to avoid surprises on foreign distributions
(and getting deterministic results in general), so we should probably do
it here too.

>> Previously 'mesa' was using our other 'libelf' package, but I switched
>> it to elfutils in commit 9b3b4c05a06bb8ef22350706b66043b5e93d8d66
>> because that's what "everyone else" do.  Perhaps we should go back to
>> that, thoughts?  Then we don't have to worry as much about the size of
>> elfutils.
>
> I would get rid of the other libelf. It has been dead upstream for
> years. And last year the home page and upstream completely
> disappeared. Replacing libelf with elfutils-libelf for guix globally
> would make a lot of sense to me. I believe that is what most distros
> do these days.

Sounds good.  Can you submit a patch that replaces libelf with elfutils
for all packages except GCC?

> I can do that. But it wouldn't change the inputs. The runtime
> dependencies of libelf on its own would be reduced to just zlib and
> gcclibs. The other libraries (without debuginfod-client) would just
> add a couple more compression libraries as runtime dependencies
> (although you realy want debuginfod-client also around so that it can
> be dlopened). Same for the binaries minus debuginfod-find and
> debuginfod. The debuginfod subpackage would be the only thing with
> runtime dependencies on everything (including libmicrohttpd and
> sqlite).

I think a single :bin output with all the executables is fine.

Regarding separate :libelf output, I suppose just copying libelf.so*
should do the trick.  Maybe we need to adjust some pkg-config files too?
I can look into this if you like.

> I'll go ask around here how to create a minimal package to see if that
> helps. Although it feels a bit odd. Upstream doesn't really support
> building just a subset of the package (there are some dependencies
> between the libraries and binaries which require things to be build
> together).

If we are to use this libelf for 'gcc', we'll need to find a way to
avoid the extraneous inputs to avoid complicating the bootstrap graph
too much.  We can always ignore the build system altogether and roll
our own command line for the GCC variant though.

Thanks,
Marius

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl40TJgACgkQoqBt8qM6
VPq39Af/Rlb1NwdCYfDusXW5zByYqNLHxlPzzKPu16nFof+D/ippzLIefooR31ru
qt5/6mXmqK2E6wzrg7GsklWX5FhPPu1GO8mI+jI8urLaEkllI9dvPUI65zzAB/nt
jRElHoRdrg8AZVO4Ba7RBxxvAqQASkx96RwHKceqOHUIXzbqBX/eXN3nfBbJD/9o
yldvV7uCfHWYGYU6ygibo+I3bY77x8hDwT7u+XptEtkSosqOwDx0n2SS3J7bbJpH
Gnegst6IEonwLJLDnjKLbe+Pm6hQzkwpi6J6kV7I2oRv45kyXzyoGRp33v5aqTuN
Rs7FEzDVrtoTgxC3wb5rhoabqsuDig==
=PXyK
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38803; Package guix-patches. Full text available.

Message received at 38803 <at> debbugs.gnu.org:


Received: (at 38803) by debbugs.gnu.org; 31 Jan 2020 12:43:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 31 07:43:50 2020
Received: from localhost ([127.0.0.1]:36658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ixVe9-0007yS-LJ
	for submit <at> debbugs.gnu.org; Fri, 31 Jan 2020 07:43:50 -0500
Received: from wildebeest.demon.nl ([212.238.236.112]:42022
 helo=gnu.wildebeest.org) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mark@HIDDEN>) id 1ixVe6-0007yE-8S
 for 38803 <at> debbugs.gnu.org; Fri, 31 Jan 2020 07:43:40 -0500
Received: from librem (cable-78.29.225.5.coditel.net [78.29.225.5])
 (using TLSv1.2 with cipher ADH-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by gnu.wildebeest.org (Postfix) with ESMTPSA id DF00A3000A0C;
 Fri, 31 Jan 2020 13:43:35 +0100 (CET)
Received: by librem (Postfix, from userid 1000)
 id 1313BC3A7A; Fri, 31 Jan 2020 13:43:21 +0100 (CET)
Date: Fri, 31 Jan 2020 13:43:21 +0100
From: Mark Wielaard <mark@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: [bug#38803] [PATCH] gnu: elfutils: Update to 0.178
Message-ID: <20200131124321.GM3319@HIDDEN>
References: <20191230014101.2425-1-mark@HIDDEN>
 <20200112203939.20141-1-mark@HIDDEN> <87a76sxun7.fsf@HIDDEN>
 <20200113000345.GA2825@HIDDEN> <87a76rvvpz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="gBBFr7Ir9EOA20Yy"
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87a76rvvpz.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Flag: NO
X-Spam-Status: No, score=-2.4 required=5.0 tests=ALL_TRUSTED,BAYES_00,
 PDS_BTC_ID autolearn=no autolearn_force=no version=3.4.0
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on gnu.wildebeest.org
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 38803
Cc: Brett Gilio <brettg@HIDDEN>, 38803 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)


--gBBFr7Ir9EOA20Yy
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

Hi Marius,

Sorry for the long delay in replying. At Guix Days now, so maybe
someone can help me with some of this :)

On Mon, Jan 13, 2020 at 11:26:48PM +0100, Marius Bakke wrote:
> >> Thank you for these improvements.  Could you submit the synopsis and
> >> description update separately?
> >
> > Sure. Split patch as attached.
> 
> Thanks!  The first patch did not apply for me, can you rebase on
> 'master'?

I think it already was. But reattached. If it gets mangled by one of
the mail systems you can also find it here:
https://code.wildebeest.org/git/user/mjw/guix/
on the elfutils-0.178 branch.

> Also, for the description, please use full sentences.  I.e. keep the
> 'This package provides a collection ...' and 'This includes ...' instead
> of 'A collection ...' and 'Includes ...'.

OK. Done. See attached patch.

> >> I worry about all the new inputs.  This patch effectively makes us
> >> unable to update all these inputs outside of the 'staging' or
> >> 'core-updates' cycles.
> >
> > I am not sure I follow. This is my first patch.  It simply adds some
> > inputs needed for a new client/server program added upstream in the
> > new version.
> 
> OK, thanks for clarifying.
> 
> >> What is the difference in 'guix size elfutils' with and without this
> >> patch?
> >
> > $ guix size elfutils
> > store item                                                       total    self
> > /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29              37.4    35.8  47.2%
> > /gnu/store/2plcy91lypnbbysb18ymnhaw3zwk8pg1-gcc-7.4.0-lib           70.0    32.6  43.0%
> > /gnu/store/w0c5bcygj73chk2f6h0g8zhzpm80p1a5-elfutils-0.176          75.8     3.2   4.2%
> > /gnu/store/cp72ncw4prnsga65n3pzll07hpsg524f-bash-static-5.0.7        1.6     1.6   2.1%
> > /gnu/store/29jhbbg1hf557x8j53f9sxd9imlmf02a-bash-minimal-5.0.7      38.4     1.0   1.4%
> > /gnu/store/lbip9isk25isymvnb159l115xnacb5j8-xz-5.2.4                72.0     0.9   1.2%
> > /gnu/store/l86azr7r3p5631wj3kk329jl1y1mpjgy-bzip2-1.0.6             71.5     0.4   0.5%
> > /gnu/store/qx7p7hiq90mi7r78hcr9cyskccy2j4bg-zlib-1.2.11             70.2     0.2   0.3%
> > total: 75.8 MiB
> >
> > $ ./pre-inst-env guix size elfutils
> > store item                                                       total    self
> > /gnu/store/1mkkv2caiqbdbbd256c4dirfi4kwsacv-guile-2.2.6            123.9    44.4  22.7%
> > /gnu/store/352q0n1rrymfdk49mfr0cym3d8svz824-icu4c-64.2             108.6    37.5  19.2%
> > /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29              37.4    35.8  18.3%
> > /gnu/store/2plcy91lypnbbysb18ymnhaw3zwk8pg1-gcc-7.4.0-lib           70.0    32.6  16.7%
> > /gnu/store/k2m4q2av9hw73hw2jx6qrxqdyh855398-openssl-1.1.1c          76.4     6.4   3.3%
> > /gnu/store/hfvz18igm68p5yz7z4asn6ph363blp1z-gnutls-3.6.9           130.6     5.1   2.6%
> > /gnu/store/slvjkd3brr6n554r2gk9djsjpm7l7xbs-bdb-5.3.28              74.4     4.4   2.2%
> > /gnu/store/4rs159kgsa0l1svi5vbvn86in7z28bpl-mit-krb5-1.17           75.3     4.3   2.2%
> > /gnu/store/bjxd9jzc560d6i3i35f5yy5mljk0ib6m-openldap-2.4.47        188.5     3.7   1.9%
> > /gnu/store/w8qacdh5fqrzn08wz3n43d0czi00c4c6-elfutils-0.178         195.8     3.6   1.9%
> > /gnu/store/y7qk8raalgvdnxcglvxa320cfxrjk1x6-gmp-6.1.2               72.6     2.6   1.3%
> > /gnu/store/nsikjxykcaqa0zjpfmkqd569bngbv5nl-libunistring-0.9.10     72.4     2.4   1.2%
> > /gnu/store/cp72ncw4prnsga65n3pzll07hpsg524f-bash-static-5.0.7        1.6     1.6   0.8%
> > /gnu/store/i1cqaixp79vd3qwnyj1ll10pq6skm2wk-pkg-config-0.29.2       71.3     1.3   0.7%
> > /gnu/store/3xs3dnc28p9fi8in7hkfcdx20incrdvq-libgc-7.6.12            71.9     1.2   0.6%
> > /gnu/store/29jhbbg1hf557x8j53f9sxd9imlmf02a-bash-minimal-5.0.7      38.4     1.0   0.5%
> > /gnu/store/4m8dlhrzis07787xznx73ang35c3lly1-curl-7.65.3            190.8     1.0   0.5%
> > /gnu/store/lbip9isk25isymvnb159l115xnacb5j8-xz-5.2.4                72.0     0.9   0.5%
> > /gnu/store/lvnybsygfd6gya6xbdv48g72lb0iqqzx-nettle-3.5.1            73.5     0.9   0.5%
> > /gnu/store/f8aljw2qhv3d1br9czn8v5afbgfdrxkg-cyrus-sasl-2.1.27       83.3     0.9   0.4%
> > /gnu/store/2792g0vczwsxnvqm9ja5g9hwvbrjlc4w-gdbm-1.18.1             70.7     0.7   0.4%
> > /gnu/store/bvpnq3alwbavyk4663j4p9x9hakxwc4d-libatomic-ops-7.6.10     0.7     0.7   0.4%
> > /gnu/store/33f8qhxa69dmd43yqdx3wq1b2hqjddgb-curl-7.65.3-doc          0.7     0.7   0.3%
> > /gnu/store/7gabmw9siqrz79slpi1f8i90v3w1638x-libidn2-2.2.0           72.8     0.5   0.2%
> > /gnu/store/l86azr7r3p5631wj3kk329jl1y1mpjgy-bzip2-1.0.6             71.5     0.4   0.2%
> > /gnu/store/zavdh2z5mwkakjf1v98x43w1hzjzxkhl-nghttp2-1.39.1-lib      70.4     0.4   0.2%
> > /gnu/store/qx7p7hiq90mi7r78hcr9cyskccy2j4bg-zlib-1.2.11             70.2     0.2   0.1%
> > /gnu/store/lwz8fygpmmsw6h8vrllr56p7ssi5qx33-libtasn1-4.14           70.2     0.2   0.1%
> > /gnu/store/zasz52va238yyaq68rjm8ljwl4ikij4p-libltdl-2.4.6           70.2     0.2   0.1%
> > /gnu/store/ain96mrdwqd4s9shdd3s7m4syp5icdx5-libffi-3.2.1            70.1     0.1   0.1%
> > total: 195.8 MiB
> 
> Oof, that is a *huge* difference.  Do you know where the extra
> references come from?

Yes. There is are a new network client and server integrated with
elfutils in 0.178. A new client library debuginfod-client.so which
depends on libcurl, which pulls in most of the other stuff. elfutils
libdw.so has a dependency on this, but it is dlopened when
available. So it isn't a hard dependency. In other distros
debuginfod-client is its own elfutils subpackage which is recommended,
but not required. It allows libdw.so to pull in separate debuginfo
files from the network when not locally installed (and an server URL
is configured). Then there is also a little server based on
libmicrohttpd and sqlite which is responsible for the other part of
the new inputs. Other distros put this also in a separate elfutils
subpackage.

> I.e. could we move libelf.so to its own output to
> lose some of the runtime dependencies?

Sure. That is what most distros do. Have a elfutils-libelf package
that provides just the libelf.so.

> Previously 'mesa' was using our other 'libelf' package, but I switched
> it to elfutils in commit 9b3b4c05a06bb8ef22350706b66043b5e93d8d66
> because that's what "everyone else" do.  Perhaps we should go back to
> that, thoughts?  Then we don't have to worry as much about the size of
> elfutils.

I would get rid of the other libelf. It has been dead upstream for
years. And last year the home page and upstream completely
disappeared. Replacing libelf with elfutils-libelf for guix globally
would make a lot of sense to me. I believe that is what most distros
do these days.

> >> Would it make sense to have a separate 'elfutils-minimal' for use in
> >> Mesa, and expose the debuginfod-enabled variant as a separate package?
> >> We could "hide" the minimal variant so that end users get the expected
> >> package.
> >
> > Sure. Other distros split elfutils into multiple packages. For example fedora has:
> >
> > %package libs
> > %package devel
> > %package devel-static
> > %package libelf
> > %package libelf-devel
> > %package libelf-devel-static
> > %package default-yama-scope
> > %package debuginfod-client
> > %package debuginfod-client-devel
> > %package debuginfod
> 
> Right.  It makes sense to do something similar for Guix if many packages
> end up needing elfutils at runtime.

I can do that. But it wouldn't change the inputs. The runtime
dependencies of libelf on its own would be reduced to just zlib and
gcclibs. The other libraries (without debuginfod-client) would just
add a couple more compression libraries as runtime dependencies
(although you realy want debuginfod-client also around so that it can
be dlopened). Same for the binaries minus debuginfod-find and
debuginfod. The debuginfod subpackage would be the only thing with
runtime dependencies on everything (including libmicrohttpd and
sqlite).

> > With the main elfutils package containing all binaries except for
> > debuginfod-find (the client) and debuginfod (the server). With
> > appropriate requires/recommends (I don't yet know how those work in
> > guix).
> 
> Guix does not have a notion of 'recommends'.  Each package is built with
> an exact set of inputs, and each build output is scanned for references
> to the inputs which are then stored as runtime dependencies.
> 
> There are talks about "parameterized packages", where you could apply
> some vetted transformation to the build procedure, but advertising
> optional runtime dependencies is an open question.

yeah. I don't actually like optional runtime dependencies. It is had
to explain to users why some installs do work out of the box and
others don't. So I would actually recommend debuginfod-client be a
hard runtime dependency whenever possible. It was mainly done for
other distros which did worry about bootstrapping.

I'll go ask around here how to create a minimal package to see if that
helps. Although it feels a bit odd. Upstream doesn't really support
building just a subset of the package (there are some dependencies
between the libraries and binaries which require things to be build
together).

Cheers,

Mark


--gBBFr7Ir9EOA20Yy
Content-Type: text/x-diff; charset=iso-8859-1
Content-Disposition: attachment; filename="0001-gnu-elfutils-Update-synopsis-and-description.patch"
Content-Transfer-Encoding: 8bit

From a686a10451f600889a20b9ca8b08c25253b349f4 Mon Sep 17 00:00:00 2001
From: Mark Wielaard <mark@HIDDEN>
Date: Sun, 12 Jan 2020 23:54:18 +0100
Subject: [PATCH] gnu: elfutils: Update synopsis and description

* gnu/packages/elf.scm (elfutils): Update summaries.
  [synopsis]: Updated.
  [description]: Updated.
---
 gnu/packages/elf.scm | 24 ++++++++++++++++++------
 1 file changed, 18 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/elf.scm b/gnu/packages/elf.scm
index 75caa54296..01bf0fcf89 100644
--- a/gnu/packages/elf.scm
+++ b/gnu/packages/elf.scm
@@ -6,6 +6,7 @@
 ;;; Copyright  2017 Leo Famulari <leo@HIDDEN>
 ;;; Copyright  2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright  2018 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright  2020 Mark Wielaard <mark@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -54,9 +55,10 @@
     (build-system gnu-build-system)
 
     ;; Separate programs because that's usually not what elfutils users want,
-    ;; and because they duplicate what Binutils provides.
+    ;; and because they duplicate what Binutils proAvides (but are named
+    ;; differently, using the eu- prefix and can be installed in parallel).
     (outputs '("out"                           ; libelf.so, elfutils/*.h, etc.
-               "bin"))                         ; ld, nm, objdump, etc.
+               "bin"))                         ; eu-nm, eu-objdump, etc.
 
     (arguments
      ;; Programs don't have libelf.so in their RUNPATH and libraries don't
@@ -84,11 +86,21 @@
     (native-inputs `(("m4" ,m4)))
     (inputs `(("zlib" ,zlib)))
     (home-page "https://sourceware.org/elfutils/")
-    (synopsis "Linker and ELF manipulation tools")
+    (synopsis "Collection of utilities and libraries to handle ELF files and
+DWARF data")
     (description
-     "This package provides command-line tools to manipulate binaries in the
-Executable and Linkable Format (@dfn{ELF}).  This includes @command{ld},
-@command{ar}, @command{objdump}, @command{addr2line}, and more.")
+     "A collection of utilities and libraries to read, create and modify
+Executable and Linkable Format (@dfn{ELF}) binary files, find and handle
+Debugging With Arbitrary Record Formats (@dfn{DWARF}) debug data, symbols,
+thread state and stacktraces for processes and core files on GNU/Linux.
+Includes @file{libelf} for manipulating ELF files, @file{libdw} for inspecting
+DWARF data and process state and utilities like @command{eu-stack} (to show
+backtraces), @command{eu-nm} (for listing symbols from object files),
+@command{eu-size} (for listing the section sizes of an object or archive
+file), @command{eu-strip} (for discarding symbols), @command{eu-readelf} (to
+see the raw ELF file structures), @command{eu-elflint} (to check for
+well-formed ELF files), @command{eu-elfcompress} (to compress or decompress
+ELF sections), and more.")
 
     ;; Libraries are dual-licensed LGPLv3.0+ | GPLv2, and programs are GPLv3+.
     (license lgpl3+)))
-- 
2.20.1


--gBBFr7Ir9EOA20Yy--




Information forwarded to guix-patches@HIDDEN:
bug#38803; Package guix-patches. Full text available.

Message received at 38803 <at> debbugs.gnu.org:


Received: (at 38803) by debbugs.gnu.org; 13 Jan 2020 22:26:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 13 17:26:58 2020
Received: from localhost ([127.0.0.1]:60289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ir8Ak-0003xz-2a
	for submit <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:26:58 -0500
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:36673)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1ir8Ai-0003xl-CF
 for 38803 <at> debbugs.gnu.org; Mon, 13 Jan 2020 17:26:56 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 3B47E223C4;
 Mon, 13 Jan 2020 17:26:51 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Mon, 13 Jan 2020 17:26:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=gOGrXc6SoTNFKA9yAWNHgWFV3t
 no2MnQ7pRjIvSxOug=; b=DKr00LnF+oaL/8PVE8S6J2QEL+5ZAEgBaA8aCKUb1W
 Q7cqVxyfsg5omxidMspSX82iKE+Yh7jm8DYRzUM5ge/E68CvZM4e5Y2aisH+/0R9
 6yJ949tuKzg+XXu0wG8ArWhckRnj6zE15/cws3Jsv9gQnttYewJlHBPAS1xVsg/l
 21ZzPrIQv1N9cwxegQIBmDde6mLsZnoo0Rus4GQNn2FPqagMh2HbXdyOyX+8qHha
 llLPdL3NEJiKRB3vKajlTVlFtfNphxHQqja0D/Hi8Xj+y+GD9dkmS/3QeVHr2ulE
 qFtvDc+ROKc05TMEe8ByXxcC+kNAdwPbqB53Zi0I7THg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=gOGrXc
 6SoTNFKA9yAWNHgWFV3tno2MnQ7pRjIvSxOug=; b=pom1/6LoB+6NAnW6Gbcnf5
 R2ZFDoV7JXc6GtQ/QSHpfjHxaWrgxz3nY79bPgrAPDMlZ2W5uoDNcRUWqfK6b8bF
 VYlWeL9mhs3Eo1+U1mOFuaQFRD8jkYJYZPbbpJ2EttTmrOXJMRRypazLt/T9NchU
 CPgfftXHlHEy443EL1Ho3N8LmW3eWqizjyGd2qGElelDEL0ETxMPMnO6Jt2DH0fS
 heZGeNe9SU5kESvmfvtTy6fLi2hiMLLd4VBebUD5mEeR+76Jp/QfDGzmbRnDZhVW
 rO68qB6MOWs6+DV1e5+YlfVB4AQOYjvGt27qbjTcSngclJF7L/HaVHgO/CQdecng
 ==
X-ME-Sender: <xms:qu4cXnMTURhJjIyY_JC2SuUV3cBPjn9bkJpNuHaTG2P53-CuOYfGSg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrvdejtddgudehkecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvffujghffgffkfggtgesghdtreertdertdenucfhrhhomhepofgrrhhi
 uhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghsthhmrghilhdrtghomheqnecukfhppe
 ekgedrvddtvddrieelrddvheefnecurfgrrhgrmhepmhgrihhlfhhrohhmpehmsggrkhhk
 vgesfhgrshhtmhgrihhlrdgtohhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:qu4cXn1ZSNpjNMTCSyNYN03SWCRTT3xespV50j_Sxje42EbM2JX4GA>
 <xmx:qu4cXouIOHLbG5ZtSNwNXsGWhEhhTTWf9jgBEpaHZ1U-WcOkhUYV3w>
 <xmx:qu4cXs3KNxDakckm-7oUdDZ7TAXxEKFM0yMWFNQkkKLfM-GBHUDvMQ>
 <xmx:q-4cXoUbbntUKctcZ_Y_sZ5AhSKml1pZXIC4Sl-ZtCuKPSd89M47Hw>
Received: from localhost (ti0006q161-3035.bb.online.no [84.202.69.253])
 by mail.messagingengine.com (Postfix) with ESMTPA id 55FFC30600A8;
 Mon, 13 Jan 2020 17:26:50 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Mark Wielaard <mark@HIDDEN>
Subject: Re: [bug#38803] [PATCH] gnu: elfutils: Update to 0.178
In-Reply-To: <20200113000345.GA2825@HIDDEN>
References: <20191230014101.2425-1-mark@HIDDEN>
 <20200112203939.20141-1-mark@HIDDEN> <87a76sxun7.fsf@HIDDEN>
 <20200113000345.GA2825@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Mon, 13 Jan 2020 23:26:48 +0100
Message-ID: <87a76rvvpz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 38803
Cc: Brett Gilio <brettg@HIDDEN>, 38803 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.2 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Mark Wielaard <mark@HIDDEN> writes:

> Hi,
>
> On Sun, Jan 12, 2020 at 09:54:52PM +0100, Marius Bakke wrote:
>> Mark Wielaard <mark@HIDDEN> writes:
>>=20
>> > This introduces debuginfod support which requires a couple of new inpu=
ts.
>> >
>> > * gnu/local.ml (dist_patch_DATA): Remove elfutils-tests-ptrace.patch.
>> >   Add elfutils-0.178-tests-build-id.patch.
>> > * gnu/packages/elf.scm (elfutils): Update to 0.178
>> >   [native-inputs]: Add iproute and pkg-config.
>> >   [inputs]: Add cpio, libarchive, libmicrohttpd, libcurl, rpm and sqli=
te.
>> >   [synopsis]: Updated.
>> >   [description]: Updated.
>> >   [license]: List all licenses used.
>> > * gnu/packages/patches/elfutils-tests-ptrace.patch: Removed. Fixed ups=
tream.
>> > * gnu/packages/patches/elfutils-0.178-tests-build-id.patch: New. Patch=
es
>> >   backported from upstream git.
>>=20
>> Thank you for these improvements.  Could you submit the synopsis and
>> description update separately?
>
> Sure. Split patch as attached.

Thanks!  The first patch did not apply for me, can you rebase on
'master'?

Also, for the description, please use full sentences.  I.e. keep the
'This package provides a collection ...' and 'This includes ...' instead
of 'A collection ...' and 'Includes ...'.

>> I worry about all the new inputs.  This patch effectively makes us
>> unable to update all these inputs outside of the 'staging' or
>> 'core-updates' cycles.
>
> I am not sure I follow. This is my first patch.  It simply adds some
> inputs needed for a new client/server program added upstream in the
> new version.

OK, thanks for clarifying.

>> What is the difference in 'guix size elfutils' with and without this
>> patch?
>
> $ guix size elfutils
> store item                                                       total   =
 self
> /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29              37.4 =
   35.8  47.2%
> /gnu/store/2plcy91lypnbbysb18ymnhaw3zwk8pg1-gcc-7.4.0-lib           70.0 =
   32.6  43.0%
> /gnu/store/w0c5bcygj73chk2f6h0g8zhzpm80p1a5-elfutils-0.176          75.8 =
    3.2   4.2%
> /gnu/store/cp72ncw4prnsga65n3pzll07hpsg524f-bash-static-5.0.7        1.6 =
    1.6   2.1%
> /gnu/store/29jhbbg1hf557x8j53f9sxd9imlmf02a-bash-minimal-5.0.7      38.4 =
    1.0   1.4%
> /gnu/store/lbip9isk25isymvnb159l115xnacb5j8-xz-5.2.4                72.0 =
    0.9   1.2%
> /gnu/store/l86azr7r3p5631wj3kk329jl1y1mpjgy-bzip2-1.0.6             71.5 =
    0.4   0.5%
> /gnu/store/qx7p7hiq90mi7r78hcr9cyskccy2j4bg-zlib-1.2.11             70.2 =
    0.2   0.3%
> total: 75.8 MiB
>
> $ ./pre-inst-env guix size elfutils
> store item                                                       total   =
 self
> /gnu/store/1mkkv2caiqbdbbd256c4dirfi4kwsacv-guile-2.2.6            123.9 =
   44.4  22.7%
> /gnu/store/352q0n1rrymfdk49mfr0cym3d8svz824-icu4c-64.2             108.6 =
   37.5  19.2%
> /gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29              37.4 =
   35.8  18.3%
> /gnu/store/2plcy91lypnbbysb18ymnhaw3zwk8pg1-gcc-7.4.0-lib           70.0 =
   32.6  16.7%
> /gnu/store/k2m4q2av9hw73hw2jx6qrxqdyh855398-openssl-1.1.1c          76.4 =
    6.4   3.3%
> /gnu/store/hfvz18igm68p5yz7z4asn6ph363blp1z-gnutls-3.6.9           130.6 =
    5.1   2.6%
> /gnu/store/slvjkd3brr6n554r2gk9djsjpm7l7xbs-bdb-5.3.28              74.4 =
    4.4   2.2%
> /gnu/store/4rs159kgsa0l1svi5vbvn86in7z28bpl-mit-krb5-1.17           75.3 =
    4.3   2.2%
> /gnu/store/bjxd9jzc560d6i3i35f5yy5mljk0ib6m-openldap-2.4.47        188.5 =
    3.7   1.9%
> /gnu/store/w8qacdh5fqrzn08wz3n43d0czi00c4c6-elfutils-0.178         195.8 =
    3.6   1.9%
> /gnu/store/y7qk8raalgvdnxcglvxa320cfxrjk1x6-gmp-6.1.2               72.6 =
    2.6   1.3%
> /gnu/store/nsikjxykcaqa0zjpfmkqd569bngbv5nl-libunistring-0.9.10     72.4 =
    2.4   1.2%
> /gnu/store/cp72ncw4prnsga65n3pzll07hpsg524f-bash-static-5.0.7        1.6 =
    1.6   0.8%
> /gnu/store/i1cqaixp79vd3qwnyj1ll10pq6skm2wk-pkg-config-0.29.2       71.3 =
    1.3   0.7%
> /gnu/store/3xs3dnc28p9fi8in7hkfcdx20incrdvq-libgc-7.6.12            71.9 =
    1.2   0.6%
> /gnu/store/29jhbbg1hf557x8j53f9sxd9imlmf02a-bash-minimal-5.0.7      38.4 =
    1.0   0.5%
> /gnu/store/4m8dlhrzis07787xznx73ang35c3lly1-curl-7.65.3            190.8 =
    1.0   0.5%
> /gnu/store/lbip9isk25isymvnb159l115xnacb5j8-xz-5.2.4                72.0 =
    0.9   0.5%
> /gnu/store/lvnybsygfd6gya6xbdv48g72lb0iqqzx-nettle-3.5.1            73.5 =
    0.9   0.5%
> /gnu/store/f8aljw2qhv3d1br9czn8v5afbgfdrxkg-cyrus-sasl-2.1.27       83.3 =
    0.9   0.4%
> /gnu/store/2792g0vczwsxnvqm9ja5g9hwvbrjlc4w-gdbm-1.18.1             70.7 =
    0.7   0.4%
> /gnu/store/bvpnq3alwbavyk4663j4p9x9hakxwc4d-libatomic-ops-7.6.10     0.7 =
    0.7   0.4%
> /gnu/store/33f8qhxa69dmd43yqdx3wq1b2hqjddgb-curl-7.65.3-doc          0.7 =
    0.7   0.3%
> /gnu/store/7gabmw9siqrz79slpi1f8i90v3w1638x-libidn2-2.2.0           72.8 =
    0.5   0.2%
> /gnu/store/l86azr7r3p5631wj3kk329jl1y1mpjgy-bzip2-1.0.6             71.5 =
    0.4   0.2%
> /gnu/store/zavdh2z5mwkakjf1v98x43w1hzjzxkhl-nghttp2-1.39.1-lib      70.4 =
    0.4   0.2%
> /gnu/store/qx7p7hiq90mi7r78hcr9cyskccy2j4bg-zlib-1.2.11             70.2 =
    0.2   0.1%
> /gnu/store/lwz8fygpmmsw6h8vrllr56p7ssi5qx33-libtasn1-4.14           70.2 =
    0.2   0.1%
> /gnu/store/zasz52va238yyaq68rjm8ljwl4ikij4p-libltdl-2.4.6           70.2 =
    0.2   0.1%
> /gnu/store/ain96mrdwqd4s9shdd3s7m4syp5icdx5-libffi-3.2.1            70.1 =
    0.1   0.1%
> total: 195.8 MiB

Oof, that is a *huge* difference.  Do you know where the extra
references come from?  I.e. could we move libelf.so to its own output to
lose some of the runtime dependencies?

Previously 'mesa' was using our other 'libelf' package, but I switched
it to elfutils in commit 9b3b4c05a06bb8ef22350706b66043b5e93d8d66
because that's what "everyone else" do.  Perhaps we should go back to
that, thoughts?  Then we don't have to worry as much about the size of
elfutils.

>> Would it make sense to have a separate 'elfutils-minimal' for use in
>> Mesa, and expose the debuginfod-enabled variant as a separate package?
>> We could "hide" the minimal variant so that end users get the expected
>> package.
>
> Sure. Other distros split elfutils into multiple packages. For example fe=
dora has:
>
> %package libs
> %package devel
> %package devel-static
> %package libelf
> %package libelf-devel
> %package libelf-devel-static
> %package default-yama-scope
> %package debuginfod-client
> %package debuginfod-client-devel
> %package debuginfod

Right.  It makes sense to do something similar for Guix if many packages
end up needing elfutils at runtime.

> With the main elfutils package containing all binaries except for
> debuginfod-find (the client) and debuginfod (the server). With
> appropriate requires/recommends (I don't yet know how those work in
> guix).

Guix does not have a notion of 'recommends'.  Each package is built with
an exact set of inputs, and each build output is scanned for references
to the inputs which are then stored as runtime dependencies.

There are talks about "parameterized packages", where you could apply
some vetted transformation to the build procedure, but advertising
optional runtime dependencies is an open question.

>> Also, for the patches, please add links to upstream commits in the patch
>> files, see some of the other patches for examples.  I would also prefer
>> if they were separate files, seeing as the two commits do different
>> things.
>
> OK split in two. The tests patches are together, because they do the
> same thing. I am not sure an upstream git commit id link is better
> than simply the commit id, but added if it is more convenient.

As someone who frequently chases upstream repositories for patches, I
certainly appreciate not having to figure out where their VCS is
hosted.  Sourceware does exceptionally well in that regard, but not
everyone knows it.  So, thanks for adding the links.  :-)

And sorry for all the difficult questions!  It is a great first patch
really, but it also has a heavy impact (see guix refresh -l elfutils).

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl4c7qgACgkQoqBt8qM6
VPoNQgf8DhYai8CS0WczG+1tnajKz7/CMseXdJJJPL2qAcG6aSdsA2GIFcWmKAXV
ALiUXWycVYK+kMe0N+SEeDAgPKYXvkdXLf5ZT2Le60IXUa4RepLIJ2BPnCZkwVbB
5T3Cmd6K//Gip4AAXv+iiOYIAZcOz+GSBXdYnavo2MRGVe5SxLZ70H/GZAEXG2z5
z8/tNbRyo3cyVAjO+r5dtncvLo1oJ89p2l2kOzUhYRMnm/9x7SNclmzlWdJ+K3BH
wMnVgzySIwyhMPl0Pl4Wxc0e/ldIANJJ70tXVx6ncQ4poPOYxU4aQ1714kJiLcyp
FGLxt5CPwWsZi5xFSvcroDUKmNAVkw==
=SdMj
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38803; Package guix-patches. Full text available.

Message received at 38803 <at> debbugs.gnu.org:


Received: (at 38803) by debbugs.gnu.org; 13 Jan 2020 00:04:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 12 19:04:19 2020
Received: from localhost ([127.0.0.1]:58448 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqnDD-0004VD-UL
	for submit <at> debbugs.gnu.org; Sun, 12 Jan 2020 19:04:19 -0500
Received: from wildebeest.demon.nl ([212.238.236.112]:38996
 helo=gnu.wildebeest.org) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mark@HIDDEN>) id 1iqnD9-0004V0-Fn
 for 38803 <at> debbugs.gnu.org; Sun, 12 Jan 2020 19:04:07 -0500
Received: from librem (deer0x15.wildebeest.org [172.31.17.151])
 (using TLSv1.2 with cipher ADH-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by gnu.wildebeest.org (Postfix) with ESMTPSA id 8ABF7300B37B;
 Mon, 13 Jan 2020 01:03:57 +0100 (CET)
Received: by librem (Postfix, from userid 1000)
 id D7DD3C3CC2; Mon, 13 Jan 2020 01:03:45 +0100 (CET)
Date: Mon, 13 Jan 2020 01:03:45 +0100
From: Mark Wielaard <mark@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: [bug#38803] [PATCH] gnu: elfutils: Update to 0.178
Message-ID: <20200113000345.GA2825@HIDDEN>
References: <20191230014101.2425-1-mark@HIDDEN>
 <20200112203939.20141-1-mark@HIDDEN> <87a76sxun7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="ibTvN161/egqYuK8"
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87a76sxun7.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Flag: NO
X-Spam-Status: No, score=-2.4 required=5.0 tests=ALL_TRUSTED,BAYES_00,
 PDS_BTC_ID autolearn=no autolearn_force=no version=3.4.0
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on gnu.wildebeest.org
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 38803
Cc: Brett Gilio <brettg@HIDDEN>, 38803 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)


--ibTvN161/egqYuK8
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

Hi,

On Sun, Jan 12, 2020 at 09:54:52PM +0100, Marius Bakke wrote:
> Mark Wielaard <mark@HIDDEN> writes:
> 
> > This introduces debuginfod support which requires a couple of new inputs.
> >
> > * gnu/local.ml (dist_patch_DATA): Remove elfutils-tests-ptrace.patch.
> >   Add elfutils-0.178-tests-build-id.patch.
> > * gnu/packages/elf.scm (elfutils): Update to 0.178
> >   [native-inputs]: Add iproute and pkg-config.
> >   [inputs]: Add cpio, libarchive, libmicrohttpd, libcurl, rpm and sqlite.
> >   [synopsis]: Updated.
> >   [description]: Updated.
> >   [license]: List all licenses used.
> > * gnu/packages/patches/elfutils-tests-ptrace.patch: Removed. Fixed upstream.
> > * gnu/packages/patches/elfutils-0.178-tests-build-id.patch: New. Patches
> >   backported from upstream git.
> 
> Thank you for these improvements.  Could you submit the synopsis and
> description update separately?

Sure. Split patch as attached.

> I worry about all the new inputs.  This patch effectively makes us
> unable to update all these inputs outside of the 'staging' or
> 'core-updates' cycles.

I am not sure I follow. This is my first patch.  It simply adds some
inputs needed for a new client/server program added upstream in the
new version.

> What is the difference in 'guix size elfutils' with and without this
> patch?

$ guix size elfutils
store item                                                       total    self
/gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29              37.4    35.8  47.2%
/gnu/store/2plcy91lypnbbysb18ymnhaw3zwk8pg1-gcc-7.4.0-lib           70.0    32.6  43.0%
/gnu/store/w0c5bcygj73chk2f6h0g8zhzpm80p1a5-elfutils-0.176          75.8     3.2   4.2%
/gnu/store/cp72ncw4prnsga65n3pzll07hpsg524f-bash-static-5.0.7        1.6     1.6   2.1%
/gnu/store/29jhbbg1hf557x8j53f9sxd9imlmf02a-bash-minimal-5.0.7      38.4     1.0   1.4%
/gnu/store/lbip9isk25isymvnb159l115xnacb5j8-xz-5.2.4                72.0     0.9   1.2%
/gnu/store/l86azr7r3p5631wj3kk329jl1y1mpjgy-bzip2-1.0.6             71.5     0.4   0.5%
/gnu/store/qx7p7hiq90mi7r78hcr9cyskccy2j4bg-zlib-1.2.11             70.2     0.2   0.3%
total: 75.8 MiB

$ ./pre-inst-env guix size elfutils
store item                                                       total    self
/gnu/store/1mkkv2caiqbdbbd256c4dirfi4kwsacv-guile-2.2.6            123.9    44.4  22.7%
/gnu/store/352q0n1rrymfdk49mfr0cym3d8svz824-icu4c-64.2             108.6    37.5  19.2%
/gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29              37.4    35.8  18.3%
/gnu/store/2plcy91lypnbbysb18ymnhaw3zwk8pg1-gcc-7.4.0-lib           70.0    32.6  16.7%
/gnu/store/k2m4q2av9hw73hw2jx6qrxqdyh855398-openssl-1.1.1c          76.4     6.4   3.3%
/gnu/store/hfvz18igm68p5yz7z4asn6ph363blp1z-gnutls-3.6.9           130.6     5.1   2.6%
/gnu/store/slvjkd3brr6n554r2gk9djsjpm7l7xbs-bdb-5.3.28              74.4     4.4   2.2%
/gnu/store/4rs159kgsa0l1svi5vbvn86in7z28bpl-mit-krb5-1.17           75.3     4.3   2.2%
/gnu/store/bjxd9jzc560d6i3i35f5yy5mljk0ib6m-openldap-2.4.47        188.5     3.7   1.9%
/gnu/store/w8qacdh5fqrzn08wz3n43d0czi00c4c6-elfutils-0.178         195.8     3.6   1.9%
/gnu/store/y7qk8raalgvdnxcglvxa320cfxrjk1x6-gmp-6.1.2               72.6     2.6   1.3%
/gnu/store/nsikjxykcaqa0zjpfmkqd569bngbv5nl-libunistring-0.9.10     72.4     2.4   1.2%
/gnu/store/cp72ncw4prnsga65n3pzll07hpsg524f-bash-static-5.0.7        1.6     1.6   0.8%
/gnu/store/i1cqaixp79vd3qwnyj1ll10pq6skm2wk-pkg-config-0.29.2       71.3     1.3   0.7%
/gnu/store/3xs3dnc28p9fi8in7hkfcdx20incrdvq-libgc-7.6.12            71.9     1.2   0.6%
/gnu/store/29jhbbg1hf557x8j53f9sxd9imlmf02a-bash-minimal-5.0.7      38.4     1.0   0.5%
/gnu/store/4m8dlhrzis07787xznx73ang35c3lly1-curl-7.65.3            190.8     1.0   0.5%
/gnu/store/lbip9isk25isymvnb159l115xnacb5j8-xz-5.2.4                72.0     0.9   0.5%
/gnu/store/lvnybsygfd6gya6xbdv48g72lb0iqqzx-nettle-3.5.1            73.5     0.9   0.5%
/gnu/store/f8aljw2qhv3d1br9czn8v5afbgfdrxkg-cyrus-sasl-2.1.27       83.3     0.9   0.4%
/gnu/store/2792g0vczwsxnvqm9ja5g9hwvbrjlc4w-gdbm-1.18.1             70.7     0.7   0.4%
/gnu/store/bvpnq3alwbavyk4663j4p9x9hakxwc4d-libatomic-ops-7.6.10     0.7     0.7   0.4%
/gnu/store/33f8qhxa69dmd43yqdx3wq1b2hqjddgb-curl-7.65.3-doc          0.7     0.7   0.3%
/gnu/store/7gabmw9siqrz79slpi1f8i90v3w1638x-libidn2-2.2.0           72.8     0.5   0.2%
/gnu/store/l86azr7r3p5631wj3kk329jl1y1mpjgy-bzip2-1.0.6             71.5     0.4   0.2%
/gnu/store/zavdh2z5mwkakjf1v98x43w1hzjzxkhl-nghttp2-1.39.1-lib      70.4     0.4   0.2%
/gnu/store/qx7p7hiq90mi7r78hcr9cyskccy2j4bg-zlib-1.2.11             70.2     0.2   0.1%
/gnu/store/lwz8fygpmmsw6h8vrllr56p7ssi5qx33-libtasn1-4.14           70.2     0.2   0.1%
/gnu/store/zasz52va238yyaq68rjm8ljwl4ikij4p-libltdl-2.4.6           70.2     0.2   0.1%
/gnu/store/ain96mrdwqd4s9shdd3s7m4syp5icdx5-libffi-3.2.1            70.1     0.1   0.1%
total: 195.8 MiB

> Would it make sense to have a separate 'elfutils-minimal' for use in
> Mesa, and expose the debuginfod-enabled variant as a separate package?
> We could "hide" the minimal variant so that end users get the expected
> package.

Sure. Other distros split elfutils into multiple packages. For example fedora has:

%package libs
%package devel
%package devel-static
%package libelf
%package libelf-devel
%package libelf-devel-static
%package default-yama-scope
%package debuginfod-client
%package debuginfod-client-devel
%package debuginfod

With the main elfutils package containing all binaries except for
debuginfod-find (the client) and debuginfod (the server). With
appropriate requires/recommends (I don't yet know how those work in
guix).

> Also, for the patches, please add links to upstream commits in the patch
> files, see some of the other patches for examples.  I would also prefer
> if they were separate files, seeing as the two commits do different
> things.

OK split in two. The tests patches are together, because they do the
same thing. I am not sure an upstream git commit id link is better
than simply the commit id, but added if it is more convenient.

Cheers,

Mark
--ibTvN161/egqYuK8
Content-Type: text/x-diff; charset=iso-8859-1
Content-Disposition: attachment; filename="0001-gnu-elfutils-Update-synopsis-and-description.patch"
Content-Transfer-Encoding: 8bit

From 2f75d90d59542fdc31bb9cc4d477eb90c7986e99 Mon Sep 17 00:00:00 2001
From: Mark Wielaard <mark@HIDDEN>
Date: Sun, 12 Jan 2020 23:54:18 +0100
Subject: [PATCH 1/2] gnu: elfutils: Update synopsis and description

* gnu/packages/elf.scm (elfutils): Update summaries.
  [synopsis]: Updated.
  [description]: Updated.
---
 gnu/packages/elf.scm | 24 ++++++++++++++++++------
 1 file changed, 18 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/elf.scm b/gnu/packages/elf.scm
index 75caa54296..01bf0fcf89 100644
--- a/gnu/packages/elf.scm
+++ b/gnu/packages/elf.scm
@@ -6,6 +6,7 @@
 ;;; Copyright  2017 Leo Famulari <leo@HIDDEN>
 ;;; Copyright  2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright  2018 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright  2020 Mark Wielaard <mark@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -54,9 +55,10 @@
     (build-system gnu-build-system)
 
     ;; Separate programs because that's usually not what elfutils users want,
-    ;; and because they duplicate what Binutils provides.
+    ;; and because they duplicate what Binutils proAvides (but are named
+    ;; differently, using the eu- prefix and can be installed in parallel).
     (outputs '("out"                           ; libelf.so, elfutils/*.h, etc.
-               "bin"))                         ; ld, nm, objdump, etc.
+               "bin"))                         ; eu-nm, eu-objdump, etc.
 
     (arguments
      ;; Programs don't have libelf.so in their RUNPATH and libraries don't
@@ -84,11 +86,21 @@
     (native-inputs `(("m4" ,m4)))
     (inputs `(("zlib" ,zlib)))
     (home-page "https://sourceware.org/elfutils/")
-    (synopsis "Linker and ELF manipulation tools")
+    (synopsis "Collection of utilities and libraries to handle ELF files and
+DWARF data")
     (description
-     "This package provides command-line tools to manipulate binaries in the
-Executable and Linkable Format (@dfn{ELF}).  This includes @command{ld},
-@command{ar}, @command{objdump}, @command{addr2line}, and more.")
+     "A collection of utilities and libraries to read, create and modify
+Executable and Linkable Format (@dfn{ELF}) binary files, find and handle
+Debugging With Arbitrary Record Formats (@dfn{DWARF}) debug data, symbols,
+thread state and stacktraces for processes and core files on GNU/Linux.
+Includes @file{libelf} for manipulating ELF files, @file{libdw} for inspecting
+DWARF data and process state and utilities like @command{eu-stack} (to show
+backtraces), @command{eu-nm} (for listing symbols from object files),
+@command{eu-size} (for listing the section sizes of an object or archive
+file), @command{eu-strip} (for discarding symbols), @command{eu-readelf} (to
+see the raw ELF file structures), @command{eu-elflint} (to check for
+well-formed ELF files), @command{eu-elfcompress} (to compress or decompress
+ELF sections), and more.")
 
     ;; Libraries are dual-licensed LGPLv3.0+ | GPLv2, and programs are GPLv3+.
     (license lgpl3+)))
-- 
2.20.1


--ibTvN161/egqYuK8
Content-Type: text/x-diff; charset=us-ascii
Content-Disposition: attachment; filename="0002-gnu-elfutils-Update-to-0.178.patch"

From f3573f3ce83dad4958673ded37fc44607c9fd910 Mon Sep 17 00:00:00 2001
From: Mark Wielaard <mark@HIDDEN>
Date: Mon, 13 Jan 2020 00:55:10 +0100
Subject: [PATCH 2/2] gnu: elfutils: Update to 0.178

This introduces debuginfod support which requires a couple of new inputs.

* gnu/local.ml (dist_patch_DATA): Remove elfutils-tests-ptrace.patch.
  Add elfutils-0.178-tests.patch and elfutils-0.178-build-id.patch.
* gnu/packages/elf.scm (elfutils): Update to 0.178
  [native-inputs]: Add iproute and pkg-config.
  [inputs]: Add cpio, libarchive, libmicrohttpd, libcurl, rpm and sqlite.
  [license]: List all licenses used.
* gnu/packages/patches/elfutils-tests-ptrace.patch: Removed. Fixed upstream.
* gnu/packages/patches/elfutils-0.178-tests-build-id.patch: New. Patches
  backported from upstream git.
* gnu/packages/patches/elfutils-0.178-build-id.patch: Likewise.
---
 gnu/local.mk                                  |   3 +-
 gnu/packages/elf.scm                          |  29 +++--
 .../patches/elfutils-0.178-build-id.patch     | 102 ++++++++++++++++++
 .../patches/elfutils-0.178-tests.patch        |  63 +++++++++++
 .../patches/elfutils-tests-ptrace.patch       |  64 -----------
 5 files changed, 190 insertions(+), 71 deletions(-)
 create mode 100644 gnu/packages/patches/elfutils-0.178-build-id.patch
 create mode 100644 gnu/packages/patches/elfutils-0.178-tests.patch
 delete mode 100644 gnu/packages/patches/elfutils-tests-ptrace.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 33cf439870..2d64b483ee 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -813,7 +813,8 @@ dist_patch_DATA =						\
   %D%/packages/patches/dstat-skip-devices-without-io.patch	\
   %D%/packages/patches/dvd+rw-tools-add-include.patch 		\
   %D%/packages/patches/einstein-build.patch			\
-  %D%/packages/patches/elfutils-tests-ptrace.patch		\
+  %D%/packages/patches/elfutils-0.178-tests.patch		\
+  %D%/packages/patches/elfutils-0.178-build-id.patch		\
   %D%/packages/patches/elixir-path-length.patch			\
   %D%/packages/patches/elm-compiler-disable-reactor.patch	\
   %D%/packages/patches/elm-compiler-fix-map-key.patch		\
diff --git a/gnu/packages/elf.scm b/gnu/packages/elf.scm
index 01bf0fcf89..05068c00a1 100644
--- a/gnu/packages/elf.scm
+++ b/gnu/packages/elf.scm
@@ -28,30 +28,39 @@
   #:use-module (guix packages)
   #:use-module (guix download)
   #:use-module (guix build-system gnu)
-  #:use-module ((guix licenses) #:select (gpl3+ lgpl3+ lgpl2.0+))
+  #:use-module ((guix licenses) #:select (gpl2+ gpl3+ lgpl3+ lgpl2.0+ fdl1.3+))
   #:use-module (gnu packages)
+  #:use-module (gnu packages backup)
   #:use-module (gnu packages compression)
+  #:use-module (gnu packages cpio)
+  #:use-module (gnu packages curl)
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages gcc)
+  #:use-module (gnu packages gnunet) ; for libmicrohttpd
+  #:use-module (gnu packages linux)  ; for iproute
   #:use-module (gnu packages m4)
+  #:use-module (gnu packages package-management) ; for rpm
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
   #:use-module (gnu packages sphinx)
+  #:use-module (gnu packages sqlite)
+  #:use-module (gnu packages sphinx)
   #:use-module (gnu packages texinfo)
   #:use-module (gnu packages xml))
 
 (define-public elfutils
   (package
     (name "elfutils")
-    (version "0.176")
+    (version "0.178")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://sourceware.org/elfutils/ftp/"
                                   version "/elfutils-" version ".tar.bz2"))
               (sha256
                (base32
-                "08qhrl4g6qqr4ga46jhh78y56a47p3msa5b2x1qhzbxhf71lfmzb"))
-              (patches (search-patches "elfutils-tests-ptrace.patch"))))
+                "1wm0yfcih4rjwbg59qgm4jyqmbsdmk6z5qajljyw9sfljq7a1rri"))
+              (patches (search-patches "elfutils-0.178-tests.patch"
+                                       "elfutils-0.178-build-id.patch"))))
     (build-system gnu-build-system)
 
     ;; Separate programs because that's usually not what elfutils users want,
@@ -83,8 +92,16 @@
                (("run-backtrace-native.sh") ""))
              #t)))))
 
-    (native-inputs `(("m4" ,m4)))
-    (inputs `(("zlib" ,zlib)))
+    (native-inputs `(("iproute", iproute) ;; needed in tests for ss
+                     ("m4", m4)
+                     ("pkg-config", pkg-config)))
+    (inputs `(("cpio", cpio)
+              ("libarchive", libarchive)
+              ("libmicrohttpd", libmicrohttpd)
+              ("libcurl", curl)
+              ("rpm", rpm)
+              ("sqlite", sqlite)
+              ("zlib" ,zlib)))
     (home-page "https://sourceware.org/elfutils/")
     (synopsis "Collection of utilities and libraries to handle ELF files and
 DWARF data")
diff --git a/gnu/packages/patches/elfutils-0.178-build-id.patch b/gnu/packages/patches/elfutils-0.178-build-id.patch
new file mode 100644
index 0000000000..099f55d500
--- /dev/null
+++ b/gnu/packages/patches/elfutils-0.178-build-id.patch
@@ -0,0 +1,102 @@
+https://sourceware.org/git/?p=elfutils.git;a=commit;h=cf1b5fe170fa24f32871ef284ff2968c73816f98 
+
+commit cf1b5fe170fa24f32871ef284ff2968c73816f98
+Author: Mark Wielaard <mark@HIDDEN>
+Date:   Fri Dec 6 17:20:00 2019 +0100
+
+    Make sure to always build with build-ids.
+    
+    We really need build-ids for various things.  If the system compiler
+    doesn't generate build-ids warn and generate them anyway for both the
+    binaries and the tests.
+    
+    Signed-off-by: Mark Wielaard <mark@HIDDEN>
+
+diff --git a/configure.ac b/configure.ac
+index 5a2dc373..36a6b6c2 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -197,6 +197,15 @@ if test "$ac_cv_zdefs" = "yes"; then
+ 	dso_LDFLAGS="$dso_LDFLAGS $ZDEFS_LDFLAGS"
+ fi
+ 
++# We really want build-ids. Warn and force generating them if gcc was
++# configure without --enable-linker-build-id
++AC_CACHE_CHECK([whether the compiler generates build-ids], ac_cv_buildid, [dnl
++AC_LINK_IFELSE([AC_LANG_PROGRAM()],[ac_cv_buildid=yes; readelf -n conftest$EXEEXT | grep -q NT_GNU_BUILD_ID || ac_cv_buildid=no],AC_MSG_FAILURE([unexpected compile failure]))])
++if test "$ac_cv_buildid" = "no"; then
++	AC_MSG_WARN([compiler doesn't generate build-id by default])
++	LDFLAGS="$LDFLAGS -Wl,--build-id"
++fi
++
+ ZRELRO_LDFLAGS="-Wl,-z,relro"
+ AC_CACHE_CHECK([whether gcc supports $ZRELRO_LDFLAGS], ac_cv_zrelro, [dnl
+ save_LDFLAGS="$LDFLAGS"
+diff --git a/tests/run-debuginfod-find.sh b/tests/run-debuginfod-find.sh
+index 6f92fbf1..6533996a 100755
+--- a/tests/run-debuginfod-find.sh
++++ b/tests/run-debuginfod-find.sh
+@@ -101,7 +101,7 @@ export DEBUGINFOD_TIMEOUT=10
+ # cannot find it without debuginfod.
+ echo "int main() { return 0; }" > ${PWD}/prog.c
+ tempfiles prog.c
+-gcc -g -o prog ${PWD}/prog.c
++gcc -Wl,--build-id -g -o prog ${PWD}/prog.c
+ testrun ${abs_top_builddir}/src/strip -g -f prog.debug ${PWD}/prog
+ BUILDID=`env LD_LIBRARY_PATH=$ldpath ${abs_builddir}/../src/readelf \
+           -a prog | grep 'Build ID' | cut -d ' ' -f 7`
+@@ -138,7 +138,7 @@ cmp $filename  ${PWD}/prog.c
+ # Build another, non-stripped binary
+ echo "int main() { return 0; }" > ${PWD}/prog2.c
+ tempfiles prog2.c
+-gcc -g -o prog2 ${PWD}/prog2.c
++gcc -Wl,--build-id -g -o prog2 ${PWD}/prog2.c
+ BUILDID2=`env LD_LIBRARY_PATH=$ldpath ${abs_builddir}/../src/readelf \
+           -a prog2 | grep 'Build ID' | cut -d ' ' -f 7`
+ 
+--- a/configure	1970-01-01 01:00:00.000000000 +0100
++++ b/configure	2019-12-11 14:18:11.812008097 +0100
+@@ -5325,6 +5325,43 @@
+ 	dso_LDFLAGS="$dso_LDFLAGS $ZDEFS_LDFLAGS"
+ fi
+ 
++# We really want build-ids. Warn and force generating them if gcc was
++# configure without --enable-linker-build-id
++{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether the compiler generates build-ids" >&5
++$as_echo_n "checking whether the compiler generates build-ids... " >&6; }
++if ${ac_cv_buildid+:} false; then :
++  $as_echo_n "(cached) " >&6
++else
++  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
++/* end confdefs.h.  */
++
++int
++main ()
++{
++
++  ;
++  return 0;
++}
++_ACEOF
++if ac_fn_c_try_link "$LINENO"; then :
++  ac_cv_buildid=yes; readelf -n conftest$EXEEXT | grep -q NT_GNU_BUILD_ID || ac_cv_buildid=no
++else
++  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
++$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
++as_fn_error $? "unexpected compile failure
++See \`config.log' for more details" "$LINENO" 5; }
++fi
++rm -f core conftest.err conftest.$ac_objext \
++    conftest$ac_exeext conftest.$ac_ext
++fi
++{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_buildid" >&5
++$as_echo "$ac_cv_buildid" >&6; }
++if test "$ac_cv_buildid" = "no"; then
++	{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: compiler doesn't generate build-id by default" >&5
++$as_echo "$as_me: WARNING: compiler doesn't generate build-id by default" >&2;}
++	LDFLAGS="$LDFLAGS -Wl,--build-id"
++fi
++
+ ZRELRO_LDFLAGS="-Wl,-z,relro"
+ { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether gcc supports $ZRELRO_LDFLAGS" >&5
+ $as_echo_n "checking whether gcc supports $ZRELRO_LDFLAGS... " >&6; }
diff --git a/gnu/packages/patches/elfutils-0.178-tests.patch b/gnu/packages/patches/elfutils-0.178-tests.patch
new file mode 100644
index 0000000000..3faeaf4a4f
--- /dev/null
+++ b/gnu/packages/patches/elfutils-0.178-tests.patch
@@ -0,0 +1,63 @@
+https://sourceware.org/git/?p=elfutils.git;a=commit;h=3f445279b60b16b6cb062921b74ae400344b4a68
+
+commit 3f445279b60b16b6cb062921b74ae400344b4a68
+Author: Mark Wielaard <mark@HIDDEN>
+Date:   Thu Dec 5 14:22:56 2019 +0100
+
+    tests: Run elfcompress under testrun in run-elfclassify.sh
+    
+    Otherwise elfcompress might run against the system libelf which might
+    be too old or missing.
+    
+    Signed-off-by: Mark Wielaard <mark@HIDDEN>
+
+diff --git a/tests/run-elfclassify.sh b/tests/run-elfclassify.sh
+index 5a849bbd..fb14139d 100755
+--- a/tests/run-elfclassify.sh
++++ b/tests/run-elfclassify.sh
+@@ -267,7 +267,7 @@ $(echo $kmod_files | sed -e "s/ /\n/g")
+ EOF
+ 
+ echo "gnu compressed kmods are unstripped"
+-${abs_top_builddir}/src/elfcompress -t gnu --force $kmod_files
++testrun ${abs_top_builddir}/src/elfcompress -t gnu --force $kmod_files
+ testrun ${abs_top_builddir}/src/elfclassify --unstripped $kmod_files
+ testrun_compare ${abs_top_builddir}/src/elfclassify --unstripped --print $kmod_files <<EOF
+ $(echo $kmod_files | sed -e "s/ /\n/g")
+@@ -312,7 +312,7 @@ $(echo $debug_files | sed -e "s/ /\n/g")
+ EOF
+ 
+ echo "compress the debug sections and try again"
+-${abs_top_builddir}/src/elfcompress -t gnu --force $debug_files
++testrun ${abs_top_builddir}/src/elfcompress -t gnu --force $debug_files
+ 
+ echo "again unstripped"
+ testrun ${abs_top_builddir}/src/elfclassify --unstripped $debug_files
+
+https://sourceware.org/git/?p=elfutils.git;a=commit;h=eaffa79d52da7454044be53d28b525cebdb0093b
+
+commit eaffa79d52da7454044be53d28b525cebdb0093b
+Author: Mark Wielaard <mark@HIDDEN>
+Date:   Fri Dec 6 15:48:00 2019 +0100
+
+    tests: Run strip under testrun in run-debuginfod-find.sh
+    
+    Otherwise strip might run against the system libelf which might be too
+    old or missing.
+    
+    Signed-off-by: Mark Wielaard <mark@HIDDEN>
+
+diff --git a/tests/run-debuginfod-find.sh b/tests/run-debuginfod-find.sh
+index 0ade03b7..6f92fbf1 100755
+--- a/tests/run-debuginfod-find.sh
++++ b/tests/run-debuginfod-find.sh
+@@ -102,7 +102,7 @@ export DEBUGINFOD_TIMEOUT=10
+ echo "int main() { return 0; }" > ${PWD}/prog.c
+ tempfiles prog.c
+ gcc -g -o prog ${PWD}/prog.c
+- ${abs_top_builddir}/src/strip -g -f prog.debug ${PWD}/prog
++testrun ${abs_top_builddir}/src/strip -g -f prog.debug ${PWD}/prog
+ BUILDID=`env LD_LIBRARY_PATH=$ldpath ${abs_builddir}/../src/readelf \
+           -a prog | grep 'Build ID' | cut -d ' ' -f 7`
+ 
+
diff --git a/gnu/packages/patches/elfutils-tests-ptrace.patch b/gnu/packages/patches/elfutils-tests-ptrace.patch
deleted file mode 100644
index cd46999063..0000000000
--- a/gnu/packages/patches/elfutils-tests-ptrace.patch
+++ /dev/null
@@ -1,64 +0,0 @@
-This patch allows us to skip tests that require PTRACE_ATTACH in situations
-where PTRACE_ATTACH is only allowed when CAP_SYS_PTRACE is held (i.e., for
-root, by default.)
-
-Reported at <https://bugzilla.redhat.com/show_bug.cgi?id=1210966>.
-
---- elfutils-0.161/tests/run-deleted.sh	2015-04-11 16:38:33.028556235 +0200
-+++ elfutils-0.161/tests/run-deleted.sh	2015-04-11 16:46:15.012442185 +0200
-@@ -17,6 +17,15 @@
- 
- . $srcdir/backtrace-subr.sh
- 
-+# Check whether the Yama policy allows us to use PTRACE_ATTACH.
-+if [ -f /proc/sys/kernel/yama/ptrace_scope ]
-+then
-+    if [ `cat /proc/sys/kernel/yama/ptrace_scope` -ne 0 ]
-+    then
-+	exit 77
-+    fi
-+fi
-+
- tempfiles deleted deleted-lib.so
- cp -p ${abs_builddir}/deleted ${abs_builddir}/deleted-lib.so .
- 
---- elfutils-0.161/tests/vdsosyms.c	2015-04-11 16:40:20.633461110 +0200
-+++ elfutils-0.161/tests/vdsosyms.c	2015-04-11 16:45:06.611866677 +0200
-@@ -23,6 +23,8 @@
- #include <stdio.h>
- #include <string.h>
- #include <sys/types.h>
-+#include <sys/stat.h>
-+#include <fcntl.h>
- #include <unistd.h>
- #include ELFUTILS_HEADER(dwfl)
- 
-@@ -68,6 +70,7 @@ module_callback (Dwfl_Module *mod, void
- int
- main (int argc __attribute__ ((unused)), char **argv __attribute__ ((unused)))
- {
-+  static const char ptrace_scope_file[] = "/proc/sys/kernel/yama/ptrace_scope";
-   static char *debuginfo_path;
-   static const Dwfl_Callbacks proc_callbacks =
-     {
-@@ -76,6 +79,20 @@ main (int argc __attribute__ ((unused)),
- 
-       .find_elf = dwfl_linux_proc_find_elf,
-     };
-+
-+  /* Check whether the Yama policy allows us to use PTRACE_ATTACH.  */
-+  int ptrace_scope = open (ptrace_scope_file, O_RDONLY);
-+  if (ptrace_scope >= 0)
-+    {
-+      char buf[10];
-+      int count = read (ptrace_scope, buf, sizeof buf);
-+      assert (count > 0);
-+      if (buf[0] != '0')
-+	/* We're not allowed, so skip this test.  */
-+	return 77;
-+      close (ptrace_scope);
-+    }
-+
-   Dwfl *dwfl = dwfl_begin (&proc_callbacks);
-   if (dwfl == NULL)
-     error (2, 0, "dwfl_begin: %s", dwfl_errmsg (-1));
-- 
2.20.1


--ibTvN161/egqYuK8--




Information forwarded to guix-patches@HIDDEN:
bug#38803; Package guix-patches. Full text available.

Message received at 38803 <at> debbugs.gnu.org:


Received: (at 38803) by debbugs.gnu.org; 12 Jan 2020 20:55:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 12 15:55:02 2020
Received: from localhost ([127.0.0.1]:58110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqkGD-0007lJ-Lb
	for submit <at> debbugs.gnu.org; Sun, 12 Jan 2020 15:55:01 -0500
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:41789)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1iqkGC-0007kk-KJ
 for 38803 <at> debbugs.gnu.org; Sun, 12 Jan 2020 15:55:00 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 67944220BA;
 Sun, 12 Jan 2020 15:54:55 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Sun, 12 Jan 2020 15:54:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=wyFYhRl3Z5a4bRcGKA3+xyf2ji
 qlX1HMnroy5gn/dKY=; b=gBcJTQRilXazFS9QSHqz4uHE6UlgfqCkh2izX2MxbM
 CZpnfRR2AJxj3tSxYuoLNpI2AngBVT+Sl1aXQIM1oHxPTuafzDRjDdm0BYcQx0Dq
 XbumRLBhevfgMwF5CZl/AExeP4Puq4mED3eLz7qpKy6+tgpfXunJfN0LKc1tMyDR
 8KeyZrrQayXUv3Zs0ZFkL2r6yK6XcrydCSaP7CAJy8wm90hWCSg/WTNJqdJTY16G
 XOZh33ZVq8+EML7yMeLXfITPTpB9SUYq5r27O0CxsZOmLooOOESKKozak/tCvYgY
 mvdH6NeyS3LwcoA8avy9qquLHDliL92LY83j4oIDIHAw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=wyFYhR
 l3Z5a4bRcGKA3+xyf2jiqlX1HMnroy5gn/dKY=; b=oxbDpZhp34cJKNK7dCEoU9
 SXZ3KIG++1pt+b2x3ITZSu7qcQEAgHm1wXTFbFNS8gvFnzo6FaYS/kHDCb9eAv04
 DuOG6HtpJCaGMzo0K1LXwF5zuOkouniedL4MJTQpc5iT2+5iJ2FVp4rYkyDgiII5
 HeEyLAPMPK+ypTQx6gUUZs6SRzGqGdR/Y+A7P8ZMQn0mpzaTyWiTirVnm/Ju2aW/
 z6dPykgXSSc2ziuGyxF0dMcdzQA9IgKMYecVfaqWN/ds4n+66kbTHsHh+EE6a4CD
 /jD4YDu1izLyVmBVHreom3rRjxivEz0OLeq/lF0R6OVJOL8DSD2VvJJk+xtjbtEQ
 ==
X-ME-Sender: <xms:nocbXicnMrY6dStOW_wsx33Kpa2Z-Aa77SR7h12oopLunu4UZrZCNA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrvdeikedgudegfecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvffujghffgffkfggtgesghdtreertdertdenucfhrhhomhepofgrrhhi
 uhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghsthhmrghilhdrtghomheqnecukfhppe
 ekgedrhedvrddvvdeirddutddvnecurfgrrhgrmhepmhgrihhlfhhrohhmpehmsggrkhhk
 vgesfhgrshhtmhgrihhlrdgtohhmnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:nocbXrHc648O9In_SadDkv-draoarlekZlRizlZG0-dcMlNxs_S_CQ>
 <xmx:nocbXj6JVgaFRvMP9-U44A7ViWBMhqC6y0FX34k_fgkCazhqAvi_kQ>
 <xmx:nocbXk8sk-aJlZrcDkep00DIAGB-LOWWQbYsexTq-vLKqQraqMZWkA>
 <xmx:n4cbXmsXYCLSwBjOL3m7Y7rNXb-HXQ6npslOxM46vfVLXEeKWGJ_HQ>
Received: from localhost (84-52-226.102.3p.ntebredband.no [84.52.226.102])
 by mail.messagingengine.com (Postfix) with ESMTPA id 7BA2980061;
 Sun, 12 Jan 2020 15:54:54 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Mark Wielaard <mark@HIDDEN>, 38803 <at> debbugs.gnu.org
Subject: Re: [bug#38803] [PATCH] gnu: elfutils: Update to 0.178
In-Reply-To: <20200112203939.20141-1-mark@HIDDEN>
References: <20191230014101.2425-1-mark@HIDDEN>
 <20200112203939.20141-1-mark@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Sun, 12 Jan 2020 21:54:52 +0100
Message-ID: <87a76sxun7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38803
Cc: Mark Wielaard <mark@HIDDEN>, Brett Gilio <brettg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mark,

Mark Wielaard <mark@HIDDEN> writes:

> This introduces debuginfod support which requires a couple of new inputs.
>
> * gnu/local.ml (dist_patch_DATA): Remove elfutils-tests-ptrace.patch.
>   Add elfutils-0.178-tests-build-id.patch.
> * gnu/packages/elf.scm (elfutils): Update to 0.178
>   [native-inputs]: Add iproute and pkg-config.
>   [inputs]: Add cpio, libarchive, libmicrohttpd, libcurl, rpm and sqlite.
>   [synopsis]: Updated.
>   [description]: Updated.
>   [license]: List all licenses used.
> * gnu/packages/patches/elfutils-tests-ptrace.patch: Removed. Fixed upstream.
> * gnu/packages/patches/elfutils-0.178-tests-build-id.patch: New. Patches
>   backported from upstream git.

Thank you for these improvements.  Could you submit the synopsis and
description update separately?

I worry about all the new inputs.  This patch effectively makes us
unable to update all these inputs outside of the 'staging' or
'core-updates' cycles.

What is the difference in 'guix size elfutils' with and without this
patch?

Would it make sense to have a separate 'elfutils-minimal' for use in
Mesa, and expose the debuginfod-enabled variant as a separate package?
We could "hide" the minimal variant so that end users get the expected
package.

Also, for the patches, please add links to upstream commits in the patch
files, see some of the other patches for examples.  I would also prefer
if they were separate files, seeing as the two commits do different
things.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl4bh5wACgkQoqBt8qM6
VPpYXwf+P3breyhEaHhx2aWYfLq7G0UAEaog3D77HlHXV3GLu2hv6IGN7Ta29e5B
V/cqrdJVWB/tVg9pitYCe/vkvPYpNCDTsQI8DPIdhFq+b/vwFEm5aj7N+vGB42pw
BNq5m6//RKL+KdJg8eviEBdluAofrI6FepBBfejyXE2u94X5hsJnUhdqXrSVK0Q7
F7M7H8IeOrZCp0cs3df2WqyIHlOj35VPM8wp8eo7jN/uB3LqMFDh/vghjfyvQF7B
zH3/lmQkMl3Wpt2n5erHeQPVxXMvx7zq1++gQTf0+vHGxDUyQnhRLBFWa8wLu+am
GB8hiZ8m+8wUNqGO8sPOLExdMk1n6Q==
=pg9c
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38803; Package guix-patches. Full text available.

Message received at 38803 <at> debbugs.gnu.org:


Received: (at 38803) by debbugs.gnu.org; 12 Jan 2020 20:40:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 12 15:40:05 2020
Received: from localhost ([127.0.0.1]:58093 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iqk1Y-0007OO-V6
	for submit <at> debbugs.gnu.org; Sun, 12 Jan 2020 15:40:05 -0500
Received: from wildebeest.demon.nl ([212.238.236.112]:33296
 helo=gnu.wildebeest.org) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mark@HIDDEN>) id 1iqk1T-0007OC-WB
 for 38803 <at> debbugs.gnu.org; Sun, 12 Jan 2020 15:39:51 -0500
Received: from tarox.wildebeest.org (tarox.wildebeest.org [172.31.17.39])
 (using TLSv1.2 with cipher AECDH-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by gnu.wildebeest.org (Postfix) with ESMTPSA id E807A300B37B;
 Sun, 12 Jan 2020 21:39:42 +0100 (CET)
Received: by tarox.wildebeest.org (Postfix, from userid 1000)
 id D201B40441B3; Sun, 12 Jan 2020 21:39:42 +0100 (CET)
From: Mark Wielaard <mark@HIDDEN>
To: 38803 <at> debbugs.gnu.org
Subject: [PATCH] gnu: elfutils: Update to 0.178
Date: Sun, 12 Jan 2020 21:39:39 +0100
Message-Id: <20200112203939.20141-1-mark@HIDDEN>
X-Mailer: git-send-email 2.18.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Flag: NO
X-Spam-Status: No, score=-2.7 required=5.0 tests=ALL_TRUSTED,BAYES_00,
 HEADER_FROM_DIFFERENT_DOMAINS autolearn=no autolearn_force=no version=3.4.0
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on gnu.wildebeest.org
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 38803
Cc: Mark Wielaard <mark@HIDDEN>, Brett Gilio <brettg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

This introduces debuginfod support which requires a couple of new inputs.

* gnu/local.ml (dist_patch_DATA): Remove elfutils-tests-ptrace.patch.
  Add elfutils-0.178-tests-build-id.patch.
* gnu/packages/elf.scm (elfutils): Update to 0.178
  [native-inputs]: Add iproute and pkg-config.
  [inputs]: Add cpio, libarchive, libmicrohttpd, libcurl, rpm and sqlite.
  [synopsis]: Updated.
  [description]: Updated.
  [license]: List all licenses used.
* gnu/packages/patches/elfutils-tests-ptrace.patch: Removed. Fixed upstream.
* gnu/packages/patches/elfutils-0.178-tests-build-id.patch: New. Patches
  backported from upstream git.
---

This updated patch adds the licenses list. Updates the synopsis and
description of the package. And adds/removes the patches from gnu/local.ml.

 gnu/local.mk                                  |   2 +-
 gnu/packages/elf.scm                          |  51 ++++--
 .../elfutils-0.178-tests-build-id.patch       | 159 ++++++++++++++++++
 .../patches/elfutils-tests-ptrace.patch       |  64 -------
 4 files changed, 198 insertions(+), 78 deletions(-)
 create mode 100644 gnu/packages/patches/elfutils-0.178-tests-build-id.patch
 delete mode 100644 gnu/packages/patches/elfutils-tests-ptrace.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 33cf439870..6574d2aa78 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -813,7 +813,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/dstat-skip-devices-without-io.patch	\
   %D%/packages/patches/dvd+rw-tools-add-include.patch 		\
   %D%/packages/patches/einstein-build.patch			\
-  %D%/packages/patches/elfutils-tests-ptrace.patch		\
+  %D%/packages/patches/elfutils-0.178-tests-build-id.patch	\
   %D%/packages/patches/elixir-path-length.patch			\
   %D%/packages/patches/elm-compiler-disable-reactor.patch	\
   %D%/packages/patches/elm-compiler-fix-map-key.patch		\
diff --git a/gnu/packages/elf.scm b/gnu/packages/elf.scm
index 75caa54296..9f38c519aa 100644
--- a/gnu/packages/elf.scm
+++ b/gnu/packages/elf.scm
@@ -6,6 +6,7 @@
 ;;; Copyright © 2017 Leo Famulari <leo@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright © 2019 Mark Wielaard <mark@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -27,36 +28,44 @@
   #:use-module (guix packages)
   #:use-module (guix download)
   #:use-module (guix build-system gnu)
-  #:use-module ((guix licenses) #:select (gpl3+ lgpl3+ lgpl2.0+))
+  #:use-module ((guix licenses) #:select (gpl2+ gpl3+ lgpl3+ lgpl2.0+ fdl1.3+))
   #:use-module (gnu packages)
+  #:use-module (gnu packages backup)
   #:use-module (gnu packages compression)
+  #:use-module (gnu packages cpio)
+  #:use-module (gnu packages curl)
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages gcc)
+  #:use-module (gnu packages gnunet) ; for libmicrohttpd
+  #:use-module (gnu packages linux)  ; for iproute
   #:use-module (gnu packages m4)
+  #:use-module (gnu packages package-management) ; for rpm
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
   #:use-module (gnu packages sphinx)
+  #:use-module (gnu packages sqlite)
   #:use-module (gnu packages texinfo)
   #:use-module (gnu packages xml))
 
 (define-public elfutils
   (package
     (name "elfutils")
-    (version "0.176")
+    (version "0.178")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://sourceware.org/elfutils/ftp/"
                                   version "/elfutils-" version ".tar.bz2"))
               (sha256
                (base32
-                "08qhrl4g6qqr4ga46jhh78y56a47p3msa5b2x1qhzbxhf71lfmzb"))
-              (patches (search-patches "elfutils-tests-ptrace.patch"))))
+                "1wm0yfcih4rjwbg59qgm4jyqmbsdmk6z5qajljyw9sfljq7a1rri"))
+              (patches (search-patches "elfutils-0.178-tests-build-id.patch"))))
     (build-system gnu-build-system)
 
     ;; Separate programs because that's usually not what elfutils users want,
-    ;; and because they duplicate what Binutils provides.
+    ;; and because they duplicate what Binutils provides (but are named
+    ;; differently, using the eu- prefix and can be installed in parallel).
     (outputs '("out"                           ; libelf.so, elfutils/*.h, etc.
-               "bin"))                         ; ld, nm, objdump, etc.
+               "bin"))                         ; eu-nm, eu-objdump, etc.
 
     (arguments
      ;; Programs don't have libelf.so in their RUNPATH and libraries don't
@@ -81,17 +90,33 @@
                (("run-backtrace-native.sh") ""))
              #t)))))
 
-    (native-inputs `(("m4" ,m4)))
-    (inputs `(("zlib" ,zlib)))
+    (native-inputs `(("iproute", iproute) ;; needed in tests for ss
+                     ("m4", m4)
+                     ("pkg-config", pkg-config)))
+    (inputs `(("cpio", cpio)
+              ("libarchive", libarchive)
+              ("libmicrohttpd", libmicrohttpd)
+              ("libcurl", curl)
+              ("rpm", rpm)
+              ("sqlite", sqlite)
+              ("zlib" ,zlib)))
     (home-page "https://sourceware.org/elfutils/")
-    (synopsis "Linker and ELF manipulation tools")
+    (synopsis "Collection of utilities and libraries to handle ELF files and
+DWARF data")
     (description
-     "This package provides command-line tools to manipulate binaries in the
-Executable and Linkable Format (@dfn{ELF}).  This includes @command{ld},
-@command{ar}, @command{objdump}, @command{addr2line}, and more.")
+     "A collection of utilities and libraries to read, create and modify ELF
+binary files, find and handle DWARF debug data, symbols, thread state and
+stacktraces for processes and core files on GNU/Linux.  Includes libelf for
+manipulating ELF files, libdw for inspecting DWARF data and process state and
+utilities like eu-stack (to show backtraces), eu-nm (for listing symbols from
+object files), eu-size (for listing the section sizes of an object or archive
+file), eu-strip (for discarding symbols), eu-readelf (to see the raw ELF file
+structures), eu-elflint (to check for well-formed ELF files) and
+eu-elfcompress (to compress or decompress ELF sections).")
 
     ;; Libraries are dual-licensed LGPLv3.0+ | GPLv2, and programs are GPLv3+.
-    (license lgpl3+)))
+    ;; Some documentation is under the GFDL1.3+, without invariant texts.
+    (license (list lgpl3+ gpl2+ gpl3+ fdl1.3+))))
 
 (define-public libabigail
   (package
diff --git a/gnu/packages/patches/elfutils-0.178-tests-build-id.patch b/gnu/packages/patches/elfutils-0.178-tests-build-id.patch
new file mode 100644
index 0000000000..ca9bd480b8
--- /dev/null
+++ b/gnu/packages/patches/elfutils-0.178-tests-build-id.patch
@@ -0,0 +1,159 @@
+commit 3f445279b60b16b6cb062921b74ae400344b4a68
+Author: Mark Wielaard <mark@HIDDEN>
+Date:   Thu Dec 5 14:22:56 2019 +0100
+
+    tests: Run elfcompress under testrun in run-elfclassify.sh
+    
+    Otherwise elfcompress might run against the system libelf which might
+    be too old or missing.
+    
+    Signed-off-by: Mark Wielaard <mark@HIDDEN>
+
+diff --git a/tests/run-elfclassify.sh b/tests/run-elfclassify.sh
+index 5a849bbd..fb14139d 100755
+--- a/tests/run-elfclassify.sh
++++ b/tests/run-elfclassify.sh
+@@ -267,7 +267,7 @@ $(echo $kmod_files | sed -e "s/ /\n/g")
+ EOF
+ 
+ echo "gnu compressed kmods are unstripped"
+-${abs_top_builddir}/src/elfcompress -t gnu --force $kmod_files
++testrun ${abs_top_builddir}/src/elfcompress -t gnu --force $kmod_files
+ testrun ${abs_top_builddir}/src/elfclassify --unstripped $kmod_files
+ testrun_compare ${abs_top_builddir}/src/elfclassify --unstripped --print $kmod_files <<EOF
+ $(echo $kmod_files | sed -e "s/ /\n/g")
+@@ -312,7 +312,7 @@ $(echo $debug_files | sed -e "s/ /\n/g")
+ EOF
+ 
+ echo "compress the debug sections and try again"
+-${abs_top_builddir}/src/elfcompress -t gnu --force $debug_files
++testrun ${abs_top_builddir}/src/elfcompress -t gnu --force $debug_files
+ 
+ echo "again unstripped"
+ testrun ${abs_top_builddir}/src/elfclassify --unstripped $debug_files
+
+commit eaffa79d52da7454044be53d28b525cebdb0093b
+Author: Mark Wielaard <mark@HIDDEN>
+Date:   Fri Dec 6 15:48:00 2019 +0100
+
+    tests: Run strip under testrun in run-debuginfod-find.sh
+    
+    Otherwise strip might run against the system libelf which might be too
+    old or missing.
+    
+    Signed-off-by: Mark Wielaard <mark@HIDDEN>
+
+diff --git a/tests/run-debuginfod-find.sh b/tests/run-debuginfod-find.sh
+index 0ade03b7..6f92fbf1 100755
+--- a/tests/run-debuginfod-find.sh
++++ b/tests/run-debuginfod-find.sh
+@@ -102,7 +102,7 @@ export DEBUGINFOD_TIMEOUT=10
+ echo "int main() { return 0; }" > ${PWD}/prog.c
+ tempfiles prog.c
+ gcc -g -o prog ${PWD}/prog.c
+- ${abs_top_builddir}/src/strip -g -f prog.debug ${PWD}/prog
++testrun ${abs_top_builddir}/src/strip -g -f prog.debug ${PWD}/prog
+ BUILDID=`env LD_LIBRARY_PATH=$ldpath ${abs_builddir}/../src/readelf \
+           -a prog | grep 'Build ID' | cut -d ' ' -f 7`
+ 
+
+commit cf1b5fe170fa24f32871ef284ff2968c73816f98
+Author: Mark Wielaard <mark@HIDDEN>
+Date:   Fri Dec 6 17:20:00 2019 +0100
+
+    Make sure to always build with build-ids.
+    
+    We really need build-ids for various things.  If the system compiler
+    doesn't generate build-ids warn and generate them anyway for both the
+    binaries and the tests.
+    
+    Signed-off-by: Mark Wielaard <mark@HIDDEN>
+
+diff --git a/configure.ac b/configure.ac
+index 5a2dc373..36a6b6c2 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -197,6 +197,15 @@ if test "$ac_cv_zdefs" = "yes"; then
+ 	dso_LDFLAGS="$dso_LDFLAGS $ZDEFS_LDFLAGS"
+ fi
+ 
++# We really want build-ids. Warn and force generating them if gcc was
++# configure without --enable-linker-build-id
++AC_CACHE_CHECK([whether the compiler generates build-ids], ac_cv_buildid, [dnl
++AC_LINK_IFELSE([AC_LANG_PROGRAM()],[ac_cv_buildid=yes; readelf -n conftest$EXEEXT | grep -q NT_GNU_BUILD_ID || ac_cv_buildid=no],AC_MSG_FAILURE([unexpected compile failure]))])
++if test "$ac_cv_buildid" = "no"; then
++	AC_MSG_WARN([compiler doesn't generate build-id by default])
++	LDFLAGS="$LDFLAGS -Wl,--build-id"
++fi
++
+ ZRELRO_LDFLAGS="-Wl,-z,relro"
+ AC_CACHE_CHECK([whether gcc supports $ZRELRO_LDFLAGS], ac_cv_zrelro, [dnl
+ save_LDFLAGS="$LDFLAGS"
+diff --git a/tests/run-debuginfod-find.sh b/tests/run-debuginfod-find.sh
+index 6f92fbf1..6533996a 100755
+--- a/tests/run-debuginfod-find.sh
++++ b/tests/run-debuginfod-find.sh
+@@ -101,7 +101,7 @@ export DEBUGINFOD_TIMEOUT=10
+ # cannot find it without debuginfod.
+ echo "int main() { return 0; }" > ${PWD}/prog.c
+ tempfiles prog.c
+-gcc -g -o prog ${PWD}/prog.c
++gcc -Wl,--build-id -g -o prog ${PWD}/prog.c
+ testrun ${abs_top_builddir}/src/strip -g -f prog.debug ${PWD}/prog
+ BUILDID=`env LD_LIBRARY_PATH=$ldpath ${abs_builddir}/../src/readelf \
+           -a prog | grep 'Build ID' | cut -d ' ' -f 7`
+@@ -138,7 +138,7 @@ cmp $filename  ${PWD}/prog.c
+ # Build another, non-stripped binary
+ echo "int main() { return 0; }" > ${PWD}/prog2.c
+ tempfiles prog2.c
+-gcc -g -o prog2 ${PWD}/prog2.c
++gcc -Wl,--build-id -g -o prog2 ${PWD}/prog2.c
+ BUILDID2=`env LD_LIBRARY_PATH=$ldpath ${abs_builddir}/../src/readelf \
+           -a prog2 | grep 'Build ID' | cut -d ' ' -f 7`
+ 
+--- a/configure	1970-01-01 01:00:00.000000000 +0100
++++ b/configure	2019-12-11 14:18:11.812008097 +0100
+@@ -5325,6 +5325,43 @@
+ 	dso_LDFLAGS="$dso_LDFLAGS $ZDEFS_LDFLAGS"
+ fi
+ 
++# We really want build-ids. Warn and force generating them if gcc was
++# configure without --enable-linker-build-id
++{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether the compiler generates build-ids" >&5
++$as_echo_n "checking whether the compiler generates build-ids... " >&6; }
++if ${ac_cv_buildid+:} false; then :
++  $as_echo_n "(cached) " >&6
++else
++  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
++/* end confdefs.h.  */
++
++int
++main ()
++{
++
++  ;
++  return 0;
++}
++_ACEOF
++if ac_fn_c_try_link "$LINENO"; then :
++  ac_cv_buildid=yes; readelf -n conftest$EXEEXT | grep -q NT_GNU_BUILD_ID || ac_cv_buildid=no
++else
++  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
++$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
++as_fn_error $? "unexpected compile failure
++See \`config.log' for more details" "$LINENO" 5; }
++fi
++rm -f core conftest.err conftest.$ac_objext \
++    conftest$ac_exeext conftest.$ac_ext
++fi
++{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_buildid" >&5
++$as_echo "$ac_cv_buildid" >&6; }
++if test "$ac_cv_buildid" = "no"; then
++	{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: compiler doesn't generate build-id by default" >&5
++$as_echo "$as_me: WARNING: compiler doesn't generate build-id by default" >&2;}
++	LDFLAGS="$LDFLAGS -Wl,--build-id"
++fi
++
+ ZRELRO_LDFLAGS="-Wl,-z,relro"
+ { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether gcc supports $ZRELRO_LDFLAGS" >&5
+ $as_echo_n "checking whether gcc supports $ZRELRO_LDFLAGS... " >&6; }
diff --git a/gnu/packages/patches/elfutils-tests-ptrace.patch b/gnu/packages/patches/elfutils-tests-ptrace.patch
deleted file mode 100644
index cd46999063..0000000000
--- a/gnu/packages/patches/elfutils-tests-ptrace.patch
+++ /dev/null
@@ -1,64 +0,0 @@
-This patch allows us to skip tests that require PTRACE_ATTACH in situations
-where PTRACE_ATTACH is only allowed when CAP_SYS_PTRACE is held (i.e., for
-root, by default.)
-
-Reported at <https://bugzilla.redhat.com/show_bug.cgi?id=1210966>.
-
---- elfutils-0.161/tests/run-deleted.sh	2015-04-11 16:38:33.028556235 +0200
-+++ elfutils-0.161/tests/run-deleted.sh	2015-04-11 16:46:15.012442185 +0200
-@@ -17,6 +17,15 @@
- 
- . $srcdir/backtrace-subr.sh
- 
-+# Check whether the Yama policy allows us to use PTRACE_ATTACH.
-+if [ -f /proc/sys/kernel/yama/ptrace_scope ]
-+then
-+    if [ `cat /proc/sys/kernel/yama/ptrace_scope` -ne 0 ]
-+    then
-+	exit 77
-+    fi
-+fi
-+
- tempfiles deleted deleted-lib.so
- cp -p ${abs_builddir}/deleted ${abs_builddir}/deleted-lib.so .
- 
---- elfutils-0.161/tests/vdsosyms.c	2015-04-11 16:40:20.633461110 +0200
-+++ elfutils-0.161/tests/vdsosyms.c	2015-04-11 16:45:06.611866677 +0200
-@@ -23,6 +23,8 @@
- #include <stdio.h>
- #include <string.h>
- #include <sys/types.h>
-+#include <sys/stat.h>
-+#include <fcntl.h>
- #include <unistd.h>
- #include ELFUTILS_HEADER(dwfl)
- 
-@@ -68,6 +70,7 @@ module_callback (Dwfl_Module *mod, void
- int
- main (int argc __attribute__ ((unused)), char **argv __attribute__ ((unused)))
- {
-+  static const char ptrace_scope_file[] = "/proc/sys/kernel/yama/ptrace_scope";
-   static char *debuginfo_path;
-   static const Dwfl_Callbacks proc_callbacks =
-     {
-@@ -76,6 +79,20 @@ main (int argc __attribute__ ((unused)),
- 
-       .find_elf = dwfl_linux_proc_find_elf,
-     };
-+
-+  /* Check whether the Yama policy allows us to use PTRACE_ATTACH.  */
-+  int ptrace_scope = open (ptrace_scope_file, O_RDONLY);
-+  if (ptrace_scope >= 0)
-+    {
-+      char buf[10];
-+      int count = read (ptrace_scope, buf, sizeof buf);
-+      assert (count > 0);
-+      if (buf[0] != '0')
-+	/* We're not allowed, so skip this test.  */
-+	return 77;
-+      close (ptrace_scope);
-+    }
-+
-   Dwfl *dwfl = dwfl_begin (&proc_callbacks);
-   if (dwfl == NULL)
-     error (2, 0, "dwfl_begin: %s", dwfl_errmsg (-1));
-- 
2.18.1





Information forwarded to guix-patches@HIDDEN:
bug#38803; Package guix-patches. Full text available.

Message received at 38803 <at> debbugs.gnu.org:


Received: (at 38803) by debbugs.gnu.org; 30 Dec 2019 02:04:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 29 21:04:48 2019
Received: from localhost ([127.0.0.1]:60395 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ilkQK-0004lF-Fu
	for submit <at> debbugs.gnu.org; Sun, 29 Dec 2019 21:04:48 -0500
Received: from wildebeest.demon.nl ([212.238.236.112]:53350
 helo=gnu.wildebeest.org) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mark@HIDDEN>) id 1ilkQI-0004l6-51
 for 38803 <at> debbugs.gnu.org; Sun, 29 Dec 2019 21:04:46 -0500
Received: from librem (deer0x15.wildebeest.org [172.31.17.151])
 (using TLSv1.2 with cipher ADH-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by gnu.wildebeest.org (Postfix) with ESMTPSA id 67AAA30014BB;
 Mon, 30 Dec 2019 03:04:44 +0100 (CET)
Received: by librem (Postfix, from userid 1000)
 id E9DC7C047B; Mon, 30 Dec 2019 03:04:33 +0100 (CET)
Date: Mon, 30 Dec 2019 03:04:33 +0100
From: Mark Wielaard <mark@HIDDEN>
To: Brett Gilio <brettg@HIDDEN>
Subject: Re: [bug#38803] [PATCH] gnu: elfutils: Update to 0.178
Message-ID: <20191230020433.GA2695@HIDDEN>
References: <20191230014101.2425-1-mark@HIDDEN>
 <aab04dc7-de8a-4214-b918-21749a921f7b@localhost>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <aab04dc7-de8a-4214-b918-21749a921f7b@localhost>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Flag: NO
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00
 autolearn=ham autolearn_force=no version=3.4.0
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on gnu.wildebeest.org
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38803
Cc: 38803 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Brett,

On Mon, Dec 30, 2019 at 01:44:21AM +0000, Brett Gilio wrote:
> Funny you submitted this, I was working on the same package
> about an hour ago. We must be reading each other's minds. You got
> significantly farther than I did.

Thanks for looking at it. This is my first guix patch, so please be
gentle. I do maintain elfutils upstream, so I did have a little
advantage picking some upstream patches which hadn't gone into the
release yet.

> One thing I did do differently was that I extended the list of
> licenses to include the ones mentioned in the comment.  I'll look at
> your patch, and hopefully this will be ready for core-updates. Thank
> you :)

Good you mention the licenses. I forgot to update them licenses. 0.178
introduces some new documentation (man pages), one of them is under
the GFDL (without invariant sections).

Also I am not sure how precisely we should mention the dual
gplv2+/lgplv3+ license for the "out" output libraries and the gplv3+
license for the "bin" output (and where the gfdl should be added).

Thanks,

Mark




Information forwarded to guix-patches@HIDDEN:
bug#38803; Package guix-patches. Full text available.

Message received at 38803 <at> debbugs.gnu.org:


Received: (at 38803) by debbugs.gnu.org; 30 Dec 2019 01:44:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 29 20:44:46 2019
Received: from localhost ([127.0.0.1]:60381 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ilk6m-0004Em-3q
	for submit <at> debbugs.gnu.org; Sun, 29 Dec 2019 20:44:46 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1ilk6g-0004EX-W2
 for 38803 <at> debbugs.gnu.org; Sun, 29 Dec 2019 20:44:34 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55813)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <brettg@HIDDEN>)
 id 1ilk6b-0001Zt-Nd; Sun, 29 Dec 2019 20:44:25 -0500
Received: from [2605:6000:1a0d:4c95:3c69:a50a:7d4:77fb] (port=48684
 helo=email.faircode.eu)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <brettg@HIDDEN>)
 id 1ilk6a-0008Fq-F8; Sun, 29 Dec 2019 20:44:24 -0500
Date: Mon, 30 Dec 2019 01:44:21 +0000 (UTC)
From: Brett Gilio <brettg@HIDDEN>
To: Mark Wielaard <mark@HIDDEN>
Message-ID: <aab04dc7-de8a-4214-b918-21749a921f7b@localhost>
In-Reply-To: <20191230014101.2425-1-mark@HIDDEN>
References: <20191230014101.2425-1-mark@HIDDEN>
Subject: Re: [bug#38803] [PATCH] gnu: elfutils: Update to 0.178
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Correlation-ID: <aab04dc7-de8a-4214-b918-21749a921f7b@localhost>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38803
Cc: Mark Wielaard <mark@HIDDEN>, 38803 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)



Dec 29, 2019 7:42:34 PM Mark Wielaard :

> This introduces debuginfod support which requires a couple of new inputs.
>
> * gnu/packages/elf.scm (elfutils): Update to 0.178
> [native-inputs]: Add iproute and pkg-config.
> [inputs]: Add cpio, libarchive, libmicrohttpd, libcurl, rpm and sqlite.
> * gnu/packages/patches/elfutils-tests-ptrace.patch: Removed. Fixed upstre=
am.
> * gnu/packages/patches/elfutils-0.178-tests-build-id.patch: New. Patches
> backported from upstream git.
> ---
> gnu/packages/elf.scm | 26 ++-
> .../elfutils-0.178-tests-build-id.patch | 159 ++++++++++++++++++
> .../patches/elfutils-tests-ptrace.patch | 64 -------
> 3 files changed, 180 insertions(+), 69 deletions(-)
> create mode 100644 gnu/packages/patches/elfutils-0.178-tests-build-id.pat=
ch
> delete mode 100644 gnu/packages/patches/elfutils-tests-ptrace.patch
>
> diff --git a/gnu/packages/elf.scm b/gnu/packages/elf.scm
> index 75caa54296..169e8d1af8 100644
> --- a/gnu/packages/elf.scm
> +++ b/gnu/packages/elf.scm
> @@ -6,6 +6,7 @@
> ;;; Copyright =C2=A9 2017 Leo Famulari
> ;;; Copyright =C2=A9 2018 Tobias Geerinckx-Rice
> ;;; Copyright =C2=A9 2018 Marius Bakke
> +;;; Copyright =C2=A9 2019 Mark Wielaard
> ;;;
> ;;; This file is part of GNU Guix.
> ;;;
> @@ -29,28 +30,35 @@
> #:use-module (guix build-system gnu)
> #:use-module ((guix licenses) #:select (gpl3+ lgpl3+ lgpl2.0+))
> #:use-module (gnu packages)
> + #:use-module (gnu packages backup)
> #:use-module (gnu packages compression)
> + #:use-module (gnu packages cpio)
> + #:use-module (gnu packages curl)
> #:use-module (gnu packages documentation)
> #:use-module (gnu packages gcc)
> + #:use-module (gnu packages gnunet) ; for libmicrohttpd
> + #:use-module (gnu packages linux) ; for iproute
> #:use-module (gnu packages m4)
> + #:use-module (gnu packages package-management) ; for rpm
> #:use-module (gnu packages pkg-config)
> #:use-module (gnu packages python)
> #:use-module (gnu packages sphinx)
> + #:use-module (gnu packages sqlite)
> #:use-module (gnu packages texinfo)
> #:use-module (gnu packages xml))
>
> (define-public elfutils
> (package
> (name "elfutils")
> - (version "0.176")
> + (version "0.178")
> (source (origin
> (method url-fetch)
> (uri (string-append "https://sourceware.org/elfutils/ftp/"
> version "/elfutils-" version ".tar.bz2"))
> (sha256
> (base32
> - "08qhrl4g6qqr4ga46jhh78y56a47p3msa5b2x1qhzbxhf71lfmzb"))
> - (patches (search-patches "elfutils-tests-ptrace.patch"))))
> + "1wm0yfcih4rjwbg59qgm4jyqmbsdmk6z5qajljyw9sfljq7a1rri"))
> + (patches (search-patches "elfutils-0.178-tests-build-id.patch"))))
> (build-system gnu-build-system)
>
> ;; Separate programs because that's usually not what elfutils users want,
> @@ -81,8 +89,16 @@
> (("run-backtrace-native.sh") ""))
> #t)))))
>
> - (native-inputs `(("m4" ,m4)))
> - (inputs `(("zlib" ,zlib)))
> + (native-inputs `(("iproute", iproute) ;; needed in tests for ss
> + ("m4", m4)
> + ("pkg-config", pkg-config)))
> + (inputs `(("cpio", cpio)
> + ("libarchive", libarchive)
> + ("libmicrohttpd", libmicrohttpd)
> + ("libcurl", curl)
> + ("rpm", rpm)
> + ("sqlite", sqlite)
> + ("zlib" ,zlib)))
> (home-page "https://sourceware.org/elfutils/")
> (synopsis "Linker and ELF manipulation tools")
> (description
> diff --git a/gnu/packages/patches/elfutils-0.178-tests-build-id.patch b/g=
nu/packages/patches/elfutils-0.178-tests-build-id.patch
> new file mode 100644
> index 0000000000..ca9bd480b8
> --- /dev/null
> +++ b/gnu/packages/patches/elfutils-0.178-tests-build-id.patch
> @@ -0,0 +1,159 @@
> +commit 3f445279b60b16b6cb062921b74ae400344b4a68
> +Author: Mark Wielaard
> +Date: Thu Dec 5 14:22:56 2019 +0100
> +
> + tests: Run elfcompress under testrun in run-elfclassify.sh
> +
> + Otherwise elfcompress might run against the system libelf which might
> + be too old or missing.
> +
> + Signed-off-by: Mark Wielaard
> +
> +diff --git a/tests/run-elfclassify.sh b/tests/run-elfclassify.sh
> +index 5a849bbd..fb14139d 100755
> +--- a/tests/run-elfclassify.sh
> ++++ b/tests/run-elfclassify.sh
> +@@ -267,7 +267,7 @@ $(echo $kmod_files | sed -e "s/ /\n/g")
> + EOF
> +
> + echo "gnu compressed kmods are unstripped"
> +-${abs_top_builddir}/src/elfcompress -t gnu --force $kmod_files
> ++testrun ${abs_top_builddir}/src/elfcompress -t gnu --force $kmod_files
> + testrun ${abs_top_builddir}/src/elfclassify --unstripped $kmod_files
> + testrun_compare ${abs_top_builddir}/src/elfclassify --unstripped --prin=
t $kmod_files <
> + $(echo $kmod_files | sed -e "s/ /\n/g")
> +@@ -312,7 +312,7 @@ $(echo $debug_files | sed -e "s/ /\n/g")
> + EOF
> +
> + echo "compress the debug sections and try again"
> +-${abs_top_builddir}/src/elfcompress -t gnu --force $debug_files
> ++testrun ${abs_top_builddir}/src/elfcompress -t gnu --force $debug_files
> +
> + echo "again unstripped"
> + testrun ${abs_top_builddir}/src/elfclassify --unstripped $debug_files
> +
> +commit eaffa79d52da7454044be53d28b525cebdb0093b
> +Author: Mark Wielaard
> +Date: Fri Dec 6 15:48:00 2019 +0100
> +
> + tests: Run strip under testrun in run-debuginfod-find.sh
> +
> + Otherwise strip might run against the system libelf which might be too
> + old or missing.
> +
> + Signed-off-by: Mark Wielaard
> +
> +diff --git a/tests/run-debuginfod-find.sh b/tests/run-debuginfod-find.sh
> +index 0ade03b7..6f92fbf1 100755
> +--- a/tests/run-debuginfod-find.sh
> ++++ b/tests/run-debuginfod-find.sh
> +@@ -102,7 +102,7 @@ export DEBUGINFOD_TIMEOUT=3D10
> + echo "int main() { return 0; }" > ${PWD}/prog.c
> + tempfiles prog.c
> + gcc -g -o prog ${PWD}/prog.c
> +- ${abs_top_builddir}/src/strip -g -f prog.debug ${PWD}/prog
> ++testrun ${abs_top_builddir}/src/strip -g -f prog.debug ${PWD}/prog
> + BUILDID=3D`env LD_LIBRARY_PATH=3D$ldpath ${abs_builddir}/../src/readelf=
 \
> + -a prog | grep 'Build ID' | cut -d ' ' -f 7`
> +
> +
> +commit cf1b5fe170fa24f32871ef284ff2968c73816f98
> +Author: Mark Wielaard
> +Date: Fri Dec 6 17:20:00 2019 +0100
> +
> + Make sure to always build with build-ids.
> +
> + We really need build-ids for various things. If the system compiler
> + doesn't generate build-ids warn and generate them anyway for both the
> + binaries and the tests.
> +
> + Signed-off-by: Mark Wielaard
> +
> +diff --git a/configure.ac b/configure.ac
> +index 5a2dc373..36a6b6c2 100644
> +--- a/configure.ac
> ++++ b/configure.ac
> +@@ -197,6 +197,15 @@ if test "$ac_cv_zdefs" =3D "yes"; then
> + dso_LDFLAGS=3D"$dso_LDFLAGS $ZDEFS_LDFLAGS"
> + fi
> +
> ++# We really want build-ids. Warn and force generating them if gcc was
> ++# configure without --enable-linker-build-id
> ++AC_CACHE_CHECK([whether the compiler generates build-ids], ac_cv_buildi=
d, [dnl
> ++AC_LINK_IFELSE([AC_LANG_PROGRAM()],[ac_cv_buildid=3Dyes; readelf -n con=
ftest$EXEEXT | grep -q NT_GNU_BUILD_ID || ac_cv_buildid=3Dno],AC_MSG_FAILUR=
E([unexpected compile failure]))])
> ++if test "$ac_cv_buildid" =3D "no"; then
> ++ AC_MSG_WARN([compiler doesn't generate build-id by default])
> ++ LDFLAGS=3D"$LDFLAGS -Wl,--build-id"
> ++fi
> ++
> + ZRELRO_LDFLAGS=3D"-Wl,-z,relro"
> + AC_CACHE_CHECK([whether gcc supports $ZRELRO_LDFLAGS], ac_cv_zrelro, [d=
nl
> + save_LDFLAGS=3D"$LDFLAGS"
> +diff --git a/tests/run-debuginfod-find.sh b/tests/run-debuginfod-find.sh
> +index 6f92fbf1..6533996a 100755
> +--- a/tests/run-debuginfod-find.sh
> ++++ b/tests/run-debuginfod-find.sh
> +@@ -101,7 +101,7 @@ export DEBUGINFOD_TIMEOUT=3D10
> + # cannot find it without debuginfod.
> + echo "int main() { return 0; }" > ${PWD}/prog.c
> + tempfiles prog.c
> +-gcc -g -o prog ${PWD}/prog.c
> ++gcc -Wl,--build-id -g -o prog ${PWD}/prog.c
> + testrun ${abs_top_builddir}/src/strip -g -f prog.debug ${PWD}/prog
> + BUILDID=3D`env LD_LIBRARY_PATH=3D$ldpath ${abs_builddir}/../src/readelf=
 \
> + -a prog | grep 'Build ID' | cut -d ' ' -f 7`
> +@@ -138,7 +138,7 @@ cmp $filename ${PWD}/prog.c
> + # Build another, non-stripped binary
> + echo "int main() { return 0; }" > ${PWD}/prog2.c
> + tempfiles prog2.c
> +-gcc -g -o prog2 ${PWD}/prog2.c
> ++gcc -Wl,--build-id -g -o prog2 ${PWD}/prog2.c
> + BUILDID2=3D`env LD_LIBRARY_PATH=3D$ldpath ${abs_builddir}/../src/readel=
f \
> + -a prog2 | grep 'Build ID' | cut -d ' ' -f 7`
> +
> +--- a/configure 1970-01-01 01:00:00.000000000 +0100
> ++++ b/configure 2019-12-11 14:18:11.812008097 +0100
> +@@ -5325,6 +5325,43 @@
> + dso_LDFLAGS=3D"$dso_LDFLAGS $ZDEFS_LDFLAGS"
> + fi
> +
> ++# We really want build-ids. Warn and force generating them if gcc was
> ++# configure without --enable-linker-build-id
> ++{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether the compiler =
generates build-ids" >&5
> ++$as_echo_n "checking whether the compiler generates build-ids... " >&6;=
 }
> ++if ${ac_cv_buildid+:} false; then :
> ++ $as_echo_n "(cached) " >&6
> ++else
> ++ cat confdefs.h - <<_ACEOF >conftest.$ac_ext
> ++/* end confdefs.h. */
> ++
> ++int
> ++main ()
> ++{
> ++
> ++ ;
> ++ return 0;
> ++}
> ++_ACEOF
> ++if ac_fn_c_try_link "$LINENO"; then :
> ++ ac_cv_buildid=3Dyes; readelf -n conftest$EXEEXT | grep -q NT_GNU_BUILD=
_ID || ac_cv_buildid=3Dno
> ++else
> ++ { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
> ++$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
> ++as_fn_error $? "unexpected compile failure
> ++See \`config.log' for more details" "$LINENO" 5; }
> ++fi
> ++rm -f core conftest.err conftest.$ac_objext \
> ++ conftest$ac_exeext conftest.$ac_ext
> ++fi
> ++{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_buildid" >&5
> ++$as_echo "$ac_cv_buildid" >&6; }
> ++if test "$ac_cv_buildid" =3D "no"; then
> ++ { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: compiler doesn't gen=
erate build-id by default" >&5
> ++$as_echo "$as_me: WARNING: compiler doesn't generate build-id by defaul=
t" >&2;}
> ++ LDFLAGS=3D"$LDFLAGS -Wl,--build-id"
> ++fi
> ++
> + ZRELRO_LDFLAGS=3D"-Wl,-z,relro"
> + { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether gcc supports =
$ZRELRO_LDFLAGS" >&5
> + $as_echo_n "checking whether gcc supports $ZRELRO_LDFLAGS... " >&6; }
> diff --git a/gnu/packages/patches/elfutils-tests-ptrace.patch b/gnu/packa=
ges/patches/elfutils-tests-ptrace.patch
> deleted file mode 100644
> index cd46999063..0000000000
> --- a/gnu/packages/patches/elfutils-tests-ptrace.patch
> +++ /dev/null
> @@ -1,64 +0,0 @@
> -This patch allows us to skip tests that require PTRACE_ATTACH in situati=
ons
> -where PTRACE_ATTACH is only allowed when CAP_SYS_PTRACE is held (i.e., f=
or
> -root, by default.)
> -
> -Reported at .
> -
> ---- elfutils-0.161/tests/run-deleted.sh 2015-04-11 16:38:33.028556235 +0=
200
> -+++ elfutils-0.161/tests/run-deleted.sh 2015-04-11 16:46:15.012442185 +0=
200
> -@@ -17,6 +17,15 @@
> -
> - . $srcdir/backtrace-subr.sh
> -
> -+# Check whether the Yama policy allows us to use PTRACE_ATTACH.
> -+if [ -f /proc/sys/kernel/yama/ptrace_scope ]
> -+then
> -+ if [ `cat /proc/sys/kernel/yama/ptrace_scope` -ne 0 ]
> -+ then
> -+ exit 77
> -+ fi
> -+fi
> -+
> - tempfiles deleted deleted-lib.so
> - cp -p ${abs_builddir}/deleted ${abs_builddir}/deleted-lib.so .
> -
> ---- elfutils-0.161/tests/vdsosyms.c 2015-04-11 16:40:20.633461110 +0200
> -+++ elfutils-0.161/tests/vdsosyms.c 2015-04-11 16:45:06.611866677 +0200
> -@@ -23,6 +23,8 @@
> - #include
> - #include
> - #include
> -+#include
> -+#include
> - #include
> - #include ELFUTILS_HEADER(dwfl)
> -
> -@@ -68,6 +70,7 @@ module_callback (Dwfl_Module *mod, void
> - int
> - main (int argc __attribute__ ((unused)), char **argv __attribute__ ((un=
used)))
> - {
> -+ static const char ptrace_scope_file[] =3D "/proc/sys/kernel/yama/ptrac=
e_scope";
> - static char *debuginfo_path;
> - static const Dwfl_Callbacks proc_callbacks =3D
> - {
> -@@ -76,6 +79,20 @@ main (int argc __attribute__ ((unused)),
> -
> - .find_elf =3D dwfl_linux_proc_find_elf,
> - };
> -+
> -+ /* Check whether the Yama policy allows us to use PTRACE_ATTACH. */
> -+ int ptrace_scope =3D open (ptrace_scope_file, O_RDONLY);
> -+ if (ptrace_scope >=3D 0)
> -+ {
> -+ char buf[10];
> -+ int count =3D read (ptrace_scope, buf, sizeof buf);
> -+ assert (count > 0);
> -+ if (buf[0] !=3D '0')
> -+ /* We're not allowed, so skip this test. */
> -+ return 77;
> -+ close (ptrace_scope);
> -+ }
> -+
> - Dwfl *dwfl =3D dwfl_begin (&proc_callbacks);
> - if (dwfl =3D=3D NULL)
> - error (2, 0, "dwfl_begin: %s", dwfl_errmsg (-1));
> --
> 2.20.1
>


Hi Mark! Funny you submitted this, I was working on the same package about =
an hour ago. We must be reading each other's minds. You got significantly f=
arther than I did. One thing I did do differently was that I extended the l=
ist of licenses to include the ones mentioned in the comment.

I'll look at your patch, and hopefully this will be ready for core-updates.=
 Thank you :)

--=20
Brett M. Gilio
GNU Guix, Contributor | GNU Project, Webmaster
[DFC0 C7F7 9EE6 0CA7 AE55 5E19 6722 43C4 A03F 0EEE]
< brettg@HIDDEN [mailto:brettg@HIDDEN] > < brettg@HIDDEN [mailto:bret=
tg@HIDDEN] >





Information forwarded to guix-patches@HIDDEN:
bug#38803; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Dec 2019 01:41:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 29 20:41:47 2019
Received: from localhost ([127.0.0.1]:60373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ilk3v-00049d-3t
	for submit <at> debbugs.gnu.org; Sun, 29 Dec 2019 20:41:47 -0500
Received: from lists.gnu.org ([209.51.188.17]:59402)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mark@HIDDEN>) id 1ilk3l-00049L-7L
 for submit <at> debbugs.gnu.org; Sun, 29 Dec 2019 20:41:38 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:56027)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mark@HIDDEN>) id 1ilk3i-0002aM-Uk
 for guix-patches@HIDDEN; Sun, 29 Dec 2019 20:41:28 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.2 required=5.0 tests=BAYES_50,KHOP_HELO_FCRDNS,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mark@HIDDEN>) id 1ilk3g-0007eB-La
 for guix-patches@HIDDEN; Sun, 29 Dec 2019 20:41:26 -0500
Received: from wildebeest.demon.nl ([212.238.236.112]:59240
 helo=gnu.wildebeest.org)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mark@HIDDEN>) id 1ilk3g-0007cN-Ce
 for guix-patches@HIDDEN; Sun, 29 Dec 2019 20:41:24 -0500
Received: from librem (deer0x15.wildebeest.org [172.31.17.151])
 (using TLSv1.2 with cipher ADH-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by gnu.wildebeest.org (Postfix) with ESMTPSA id 5719D30014BB;
 Mon, 30 Dec 2019 02:41:19 +0100 (CET)
Received: by librem (Postfix, from userid 1000)
 id C3E21C047B; Mon, 30 Dec 2019 02:41:08 +0100 (CET)
From: Mark Wielaard <mark@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: elfutils: Update to 0.178
Date: Mon, 30 Dec 2019 02:41:01 +0100
Message-Id: <20191230014101.2425-1-mark@HIDDEN>
X-Mailer: git-send-email 2.20.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 212.238.236.112
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
Cc: Mark Wielaard <mark@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

This introduces debuginfod support which requires a couple of new inputs.

* gnu/packages/elf.scm (elfutils): Update to 0.178
  [native-inputs]: Add iproute and pkg-config.
  [inputs]: Add cpio, libarchive, libmicrohttpd, libcurl, rpm and sqlite.
* gnu/packages/patches/elfutils-tests-ptrace.patch: Removed. Fixed upstre=
am.
* gnu/packages/patches/elfutils-0.178-tests-build-id.patch: New. Patches
  backported from upstream git.
---
 gnu/packages/elf.scm                          |  26 ++-
 .../elfutils-0.178-tests-build-id.patch       | 159 ++++++++++++++++++
 .../patches/elfutils-tests-ptrace.patch       |  64 -------
 3 files changed, 180 insertions(+), 69 deletions(-)
 create mode 100644 gnu/packages/patches/elfutils-0.178-tests-build-id.pa=
tch
 delete mode 100644 gnu/packages/patches/elfutils-tests-ptrace.patch

diff --git a/gnu/packages/elf.scm b/gnu/packages/elf.scm
index 75caa54296..169e8d1af8 100644
--- a/gnu/packages/elf.scm
+++ b/gnu/packages/elf.scm
@@ -6,6 +6,7 @@
 ;;; Copyright =C2=A9 2017 Leo Famulari <leo@HIDDEN>
 ;;; Copyright =C2=A9 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright =C2=A9 2018 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright =C2=A9 2019 Mark Wielaard <mark@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -29,28 +30,35 @@
   #:use-module (guix build-system gnu)
   #:use-module ((guix licenses) #:select (gpl3+ lgpl3+ lgpl2.0+))
   #:use-module (gnu packages)
+  #:use-module (gnu packages backup)
   #:use-module (gnu packages compression)
+  #:use-module (gnu packages cpio)
+  #:use-module (gnu packages curl)
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages gcc)
+  #:use-module (gnu packages gnunet) ; for libmicrohttpd
+  #:use-module (gnu packages linux)  ; for iproute
   #:use-module (gnu packages m4)
+  #:use-module (gnu packages package-management) ; for rpm
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
   #:use-module (gnu packages sphinx)
+  #:use-module (gnu packages sqlite)
   #:use-module (gnu packages texinfo)
   #:use-module (gnu packages xml))
=20
 (define-public elfutils
   (package
     (name "elfutils")
-    (version "0.176")
+    (version "0.178")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://sourceware.org/elfutils/ftp/"
                                   version "/elfutils-" version ".tar.bz2=
"))
               (sha256
                (base32
-                "08qhrl4g6qqr4ga46jhh78y56a47p3msa5b2x1qhzbxhf71lfmzb"))
-              (patches (search-patches "elfutils-tests-ptrace.patch"))))
+                "1wm0yfcih4rjwbg59qgm4jyqmbsdmk6z5qajljyw9sfljq7a1rri"))
+              (patches (search-patches "elfutils-0.178-tests-build-id.pa=
tch"))))
     (build-system gnu-build-system)
=20
     ;; Separate programs because that's usually not what elfutils users =
want,
@@ -81,8 +89,16 @@
                (("run-backtrace-native.sh") ""))
              #t)))))
=20
-    (native-inputs `(("m4" ,m4)))
-    (inputs `(("zlib" ,zlib)))
+    (native-inputs `(("iproute", iproute) ;; needed in tests for ss
+                     ("m4", m4)
+                     ("pkg-config", pkg-config)))
+    (inputs `(("cpio", cpio)
+              ("libarchive", libarchive)
+              ("libmicrohttpd", libmicrohttpd)
+              ("libcurl", curl)
+              ("rpm", rpm)
+              ("sqlite", sqlite)
+              ("zlib" ,zlib)))
     (home-page "https://sourceware.org/elfutils/")
     (synopsis "Linker and ELF manipulation tools")
     (description
diff --git a/gnu/packages/patches/elfutils-0.178-tests-build-id.patch b/g=
nu/packages/patches/elfutils-0.178-tests-build-id.patch
new file mode 100644
index 0000000000..ca9bd480b8
--- /dev/null
+++ b/gnu/packages/patches/elfutils-0.178-tests-build-id.patch
@@ -0,0 +1,159 @@
+commit 3f445279b60b16b6cb062921b74ae400344b4a68
+Author: Mark Wielaard <mark@HIDDEN>
+Date:   Thu Dec 5 14:22:56 2019 +0100
+
+    tests: Run elfcompress under testrun in run-elfclassify.sh
+   =20
+    Otherwise elfcompress might run against the system libelf which migh=
t
+    be too old or missing.
+   =20
+    Signed-off-by: Mark Wielaard <mark@HIDDEN>
+
+diff --git a/tests/run-elfclassify.sh b/tests/run-elfclassify.sh
+index 5a849bbd..fb14139d 100755
+--- a/tests/run-elfclassify.sh
++++ b/tests/run-elfclassify.sh
+@@ -267,7 +267,7 @@ $(echo $kmod_files | sed -e "s/ /\n/g")
+ EOF
+=20
+ echo "gnu compressed kmods are unstripped"
+-${abs_top_builddir}/src/elfcompress -t gnu --force $kmod_files
++testrun ${abs_top_builddir}/src/elfcompress -t gnu --force $kmod_files
+ testrun ${abs_top_builddir}/src/elfclassify --unstripped $kmod_files
+ testrun_compare ${abs_top_builddir}/src/elfclassify --unstripped --prin=
t $kmod_files <<EOF
+ $(echo $kmod_files | sed -e "s/ /\n/g")
+@@ -312,7 +312,7 @@ $(echo $debug_files | sed -e "s/ /\n/g")
+ EOF
+=20
+ echo "compress the debug sections and try again"
+-${abs_top_builddir}/src/elfcompress -t gnu --force $debug_files
++testrun ${abs_top_builddir}/src/elfcompress -t gnu --force $debug_files
+=20
+ echo "again unstripped"
+ testrun ${abs_top_builddir}/src/elfclassify --unstripped $debug_files
+
+commit eaffa79d52da7454044be53d28b525cebdb0093b
+Author: Mark Wielaard <mark@HIDDEN>
+Date:   Fri Dec 6 15:48:00 2019 +0100
+
+    tests: Run strip under testrun in run-debuginfod-find.sh
+   =20
+    Otherwise strip might run against the system libelf which might be t=
oo
+    old or missing.
+   =20
+    Signed-off-by: Mark Wielaard <mark@HIDDEN>
+
+diff --git a/tests/run-debuginfod-find.sh b/tests/run-debuginfod-find.sh
+index 0ade03b7..6f92fbf1 100755
+--- a/tests/run-debuginfod-find.sh
++++ b/tests/run-debuginfod-find.sh
+@@ -102,7 +102,7 @@ export DEBUGINFOD_TIMEOUT=3D10
+ echo "int main() { return 0; }" > ${PWD}/prog.c
+ tempfiles prog.c
+ gcc -g -o prog ${PWD}/prog.c
+- ${abs_top_builddir}/src/strip -g -f prog.debug ${PWD}/prog
++testrun ${abs_top_builddir}/src/strip -g -f prog.debug ${PWD}/prog
+ BUILDID=3D`env LD_LIBRARY_PATH=3D$ldpath ${abs_builddir}/../src/readelf=
 \
+           -a prog | grep 'Build ID' | cut -d ' ' -f 7`
+=20
+
+commit cf1b5fe170fa24f32871ef284ff2968c73816f98
+Author: Mark Wielaard <mark@HIDDEN>
+Date:   Fri Dec 6 17:20:00 2019 +0100
+
+    Make sure to always build with build-ids.
+   =20
+    We really need build-ids for various things.  If the system compiler
+    doesn't generate build-ids warn and generate them anyway for both th=
e
+    binaries and the tests.
+   =20
+    Signed-off-by: Mark Wielaard <mark@HIDDEN>
+
+diff --git a/configure.ac b/configure.ac
+index 5a2dc373..36a6b6c2 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -197,6 +197,15 @@ if test "$ac_cv_zdefs" =3D "yes"; then
+ 	dso_LDFLAGS=3D"$dso_LDFLAGS $ZDEFS_LDFLAGS"
+ fi
+=20
++# We really want build-ids. Warn and force generating them if gcc was
++# configure without --enable-linker-build-id
++AC_CACHE_CHECK([whether the compiler generates build-ids], ac_cv_buildi=
d, [dnl
++AC_LINK_IFELSE([AC_LANG_PROGRAM()],[ac_cv_buildid=3Dyes; readelf -n con=
ftest$EXEEXT | grep -q NT_GNU_BUILD_ID || ac_cv_buildid=3Dno],AC_MSG_FAIL=
URE([unexpected compile failure]))])
++if test "$ac_cv_buildid" =3D "no"; then
++	AC_MSG_WARN([compiler doesn't generate build-id by default])
++	LDFLAGS=3D"$LDFLAGS -Wl,--build-id"
++fi
++
+ ZRELRO_LDFLAGS=3D"-Wl,-z,relro"
+ AC_CACHE_CHECK([whether gcc supports $ZRELRO_LDFLAGS], ac_cv_zrelro, [d=
nl
+ save_LDFLAGS=3D"$LDFLAGS"
+diff --git a/tests/run-debuginfod-find.sh b/tests/run-debuginfod-find.sh
+index 6f92fbf1..6533996a 100755
+--- a/tests/run-debuginfod-find.sh
++++ b/tests/run-debuginfod-find.sh
+@@ -101,7 +101,7 @@ export DEBUGINFOD_TIMEOUT=3D10
+ # cannot find it without debuginfod.
+ echo "int main() { return 0; }" > ${PWD}/prog.c
+ tempfiles prog.c
+-gcc -g -o prog ${PWD}/prog.c
++gcc -Wl,--build-id -g -o prog ${PWD}/prog.c
+ testrun ${abs_top_builddir}/src/strip -g -f prog.debug ${PWD}/prog
+ BUILDID=3D`env LD_LIBRARY_PATH=3D$ldpath ${abs_builddir}/../src/readelf=
 \
+           -a prog | grep 'Build ID' | cut -d ' ' -f 7`
+@@ -138,7 +138,7 @@ cmp $filename  ${PWD}/prog.c
+ # Build another, non-stripped binary
+ echo "int main() { return 0; }" > ${PWD}/prog2.c
+ tempfiles prog2.c
+-gcc -g -o prog2 ${PWD}/prog2.c
++gcc -Wl,--build-id -g -o prog2 ${PWD}/prog2.c
+ BUILDID2=3D`env LD_LIBRARY_PATH=3D$ldpath ${abs_builddir}/../src/readel=
f \
+           -a prog2 | grep 'Build ID' | cut -d ' ' -f 7`
+=20
+--- a/configure	1970-01-01 01:00:00.000000000 +0100
++++ b/configure	2019-12-11 14:18:11.812008097 +0100
+@@ -5325,6 +5325,43 @@
+ 	dso_LDFLAGS=3D"$dso_LDFLAGS $ZDEFS_LDFLAGS"
+ fi
+=20
++# We really want build-ids. Warn and force generating them if gcc was
++# configure without --enable-linker-build-id
++{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether the compiler =
generates build-ids" >&5
++$as_echo_n "checking whether the compiler generates build-ids... " >&6;=
 }
++if ${ac_cv_buildid+:} false; then :
++  $as_echo_n "(cached) " >&6
++else
++  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
++/* end confdefs.h.  */
++
++int
++main ()
++{
++
++  ;
++  return 0;
++}
++_ACEOF
++if ac_fn_c_try_link "$LINENO"; then :
++  ac_cv_buildid=3Dyes; readelf -n conftest$EXEEXT | grep -q NT_GNU_BUIL=
D_ID || ac_cv_buildid=3Dno
++else
++  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
++$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
++as_fn_error $? "unexpected compile failure
++See \`config.log' for more details" "$LINENO" 5; }
++fi
++rm -f core conftest.err conftest.$ac_objext \
++    conftest$ac_exeext conftest.$ac_ext
++fi
++{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_buildid" >&5
++$as_echo "$ac_cv_buildid" >&6; }
++if test "$ac_cv_buildid" =3D "no"; then
++	{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: compiler doesn't gen=
erate build-id by default" >&5
++$as_echo "$as_me: WARNING: compiler doesn't generate build-id by defaul=
t" >&2;}
++	LDFLAGS=3D"$LDFLAGS -Wl,--build-id"
++fi
++
+ ZRELRO_LDFLAGS=3D"-Wl,-z,relro"
+ { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether gcc supports =
$ZRELRO_LDFLAGS" >&5
+ $as_echo_n "checking whether gcc supports $ZRELRO_LDFLAGS... " >&6; }
diff --git a/gnu/packages/patches/elfutils-tests-ptrace.patch b/gnu/packa=
ges/patches/elfutils-tests-ptrace.patch
deleted file mode 100644
index cd46999063..0000000000
--- a/gnu/packages/patches/elfutils-tests-ptrace.patch
+++ /dev/null
@@ -1,64 +0,0 @@
-This patch allows us to skip tests that require PTRACE_ATTACH in situati=
ons
-where PTRACE_ATTACH is only allowed when CAP_SYS_PTRACE is held (i.e., f=
or
-root, by default.)
-
-Reported at <https://bugzilla.redhat.com/show_bug.cgi?id=3D1210966>.
-
---- elfutils-0.161/tests/run-deleted.sh	2015-04-11 16:38:33.028556235 +0=
200
-+++ elfutils-0.161/tests/run-deleted.sh	2015-04-11 16:46:15.012442185 +0=
200
-@@ -17,6 +17,15 @@
-=20
- . $srcdir/backtrace-subr.sh
-=20
-+# Check whether the Yama policy allows us to use PTRACE_ATTACH.
-+if [ -f /proc/sys/kernel/yama/ptrace_scope ]
-+then
-+    if [ `cat /proc/sys/kernel/yama/ptrace_scope` -ne 0 ]
-+    then
-+	exit 77
-+    fi
-+fi
-+
- tempfiles deleted deleted-lib.so
- cp -p ${abs_builddir}/deleted ${abs_builddir}/deleted-lib.so .
-=20
---- elfutils-0.161/tests/vdsosyms.c	2015-04-11 16:40:20.633461110 +0200
-+++ elfutils-0.161/tests/vdsosyms.c	2015-04-11 16:45:06.611866677 +0200
-@@ -23,6 +23,8 @@
- #include <stdio.h>
- #include <string.h>
- #include <sys/types.h>
-+#include <sys/stat.h>
-+#include <fcntl.h>
- #include <unistd.h>
- #include ELFUTILS_HEADER(dwfl)
-=20
-@@ -68,6 +70,7 @@ module_callback (Dwfl_Module *mod, void
- int
- main (int argc __attribute__ ((unused)), char **argv __attribute__ ((un=
used)))
- {
-+  static const char ptrace_scope_file[] =3D "/proc/sys/kernel/yama/ptra=
ce_scope";
-   static char *debuginfo_path;
-   static const Dwfl_Callbacks proc_callbacks =3D
-     {
-@@ -76,6 +79,20 @@ main (int argc __attribute__ ((unused)),
-=20
-       .find_elf =3D dwfl_linux_proc_find_elf,
-     };
-+
-+  /* Check whether the Yama policy allows us to use PTRACE_ATTACH.  */
-+  int ptrace_scope =3D open (ptrace_scope_file, O_RDONLY);
-+  if (ptrace_scope >=3D 0)
-+    {
-+      char buf[10];
-+      int count =3D read (ptrace_scope, buf, sizeof buf);
-+      assert (count > 0);
-+      if (buf[0] !=3D '0')
-+	/* We're not allowed, so skip this test.  */
-+	return 77;
-+      close (ptrace_scope);
-+    }
-+
-   Dwfl *dwfl =3D dwfl_begin (&proc_callbacks);
-   if (dwfl =3D=3D NULL)
-     error (2, 0, "dwfl_begin: %s", dwfl_errmsg (-1));
--=20
2.20.1





Acknowledgement sent to Mark Wielaard <mark@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#38803; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 2 Sep 2023 18:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.